<?php

require_once ( get_template_directory() . '/include/defines.php' );

// Metaboxes
require_once ( get_template_directory() . '/include/metabox-config.php');

// Customizer options
require_once( get_template_directory() . '/include/admin-config.php' );

// Load the default options
require_once( get_template_directory() . '/include/default-theme-options.php' );

if( !function_exists('canela_get_theme_options') ){

	function canela_get_theme_options( $option_id ){

		global $canela_default_theme_options;
		
		$default_value = false;
		if ( isset( $canela_default_theme_options ) && isset( $canela_default_theme_options[$option_id] ) ){

			$default_value  = $canela_default_theme_options[$option_id];

		}

		return get_theme_mod( $option_id, $default_value );

	}
}

if( !function_exists('canela_get_post_meta') ){

	function canela_get_post_meta( $opt_name = "", $thePost = array(), $meta_key = "", $def_val = "" ) {

		if( class_exists('Clapat\Canela\Metaboxes\Meta_Boxes') ){
			
			return Clapat\Canela\Metaboxes\Meta_Boxes::get_metabox_value( $thePost, $meta_key );
		}
		
		return "";
	}
}

if( !function_exists('canela_get_current_query') ){

	function canela_get_current_query(){

		global $canela_posts_query;
		global $wp_query;
		if( $canela_posts_query == null ){
			return $wp_query;
		}
		else{
			return $canela_posts_query;
		}

	}
}

// Portfolio Next Project Image
if( !function_exists('canela_portfolio_next_project_image') ){

	function canela_portfolio_next_project_image( $portfolio_image_param = null ){

		global $canela_portfolio_image_param;
		if( isset( $portfolio_image_param ) && ( $portfolio_image_param != null ) ){
			
			$canela_portfolio_image_param = $portfolio_image_param;
		}
		
		return $canela_portfolio_image_param;
	}
}

// Hero properties
require_once ( get_template_directory() . '/include/hero-properties.php');
if( !function_exists('canela_get_hero_properties') ){

	function canela_get_hero_properties( $post_type ){

		global $canela_hero_properties;
		if( !isset( $canela_hero_properties ) || ( $canela_hero_properties == null ) ){
			$canela_hero_properties = new Canela_Hero_Properties();
		}
		$canela_hero_properties->getProperties( $post_type );
		return $canela_hero_properties;
	}
}

// Support for automatic plugin installation
require_once(  get_template_directory() . '/components/helper_classes/tgm-plugin-activation/class-tgm-plugin-activation.php');
require_once(  get_template_directory() . '/components/helper_classes/tgm-plugin-activation/required_plugins.php');

// Widgets
require_once(  get_template_directory() . '/components/widgets/widgets.php');

// Util functions
require_once ( get_template_directory() . '/include/util_functions.php');

// Add theme support
require_once ( get_template_directory() . '/include/theme-support-config.php');

// Theme setup
require_once ( get_template_directory() . '/include/setup-config.php');

// Enqueue scripts
require_once ( get_template_directory() . '/include/scripts-config.php');

// Hooks
require_once ( get_template_directory() . '/include/hooks-config.php');

// Blog comments and pagination
require_once ( get_template_directory() . '/include/blog-config.php');

// Visual Composer
if ( function_exists( 'vc_set_as_theme' ) ) {
	require_once ( get_template_directory() . '/include/vc-config.php');
}

// Editor styles
add_editor_style( 'style-editor.css' );
?>
