<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-S5J3ERYSR2"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-S5J3ERYSR2');
</script>

	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0" />

	<?php wp_head(); ?>
		
</head>

<body <?php body_class(); ?> data-cursor-default-color="<?php echo esc_attr( canela_get_theme_options('clapat_canela_regular_cursor_color') ); ?>" data-cursor-hover-color="<?php echo esc_attr( canela_get_theme_options('clapat_canela_hover_cursor_color') ); ?>">
<?php
if ( function_exists( 'wp_body_open' ) ) {
	wp_body_open();
}
?>

	<main>
	<?php if( canela_get_theme_options('clapat_canela_enable_preloader') ){ ?>
		<!-- Preloader -->
		<div class="preloader-wrap" data-firstline="<?php echo esc_attr( canela_get_theme_options('clapat_canela_preloader_hover_first_line') ); ?>" data-secondline="<?php echo esc_attr( canela_get_theme_options('clapat_canela_preloader_hover_second_line') ); ?>" data-cursor-default-color="#f33a3a" data-cursor-hover-color="#f33a3a">
			<div class="outer">
				<div class="inner">
					<div class="percentage-wrapper"><div class="percentage" id="precent"></div></div>
					<div class="trackbar">
						<div class="loadbar"></div>
					</div>
				</div>
			</div>
		</div>
		<!--/Preloader -->
	<?php } ?>
		
		<!--Cd-main-content -->
		<div class="cd-index cd-main-content">
			
		<?php
		$canela_bknd_color = "";
		if( is_singular( 'canela_portfolio' ) ){
	
			$canela_bknd_color = canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-bknd-color' );
			
		}
		else if( is_singular( 'post' ) ){
	
			$canela_bknd_color = canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-blog-bknd-color' );
			
		}
		else if( is_404() ){
			
			$canela_bknd_color = canela_get_theme_options( 'clapat_canela_error_page_bknd_type' );
			
		}
		else if( is_page() ){
	
			$canela_bknd_color = canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-bknd-color' );

		}
		if( empty( $canela_bknd_color ) ){
			
			$canela_bknd_color = canela_get_theme_options( 'clapat_canela_default_page_bknd_type' );
		}
		
		$canela_bknd_color_attribute = "#ffffff";
		if( $canela_bknd_color == "light-content" ){
			
			$canela_bknd_color_attribute = "#141414";
		}
		
		?>
	
		<?php if( is_page_template( 'blog-page.php' ) || is_home() || is_archive() || is_search() ){ ?>
			<!-- Page Content -->
			<div id="page-content" class="blog-template <?php echo sanitize_html_class( $canela_bknd_color ); if( !canela_get_theme_options( 'clapat_canela_enable_magic_cursor' ) ){ echo " magic-cursor-disabled"; } ?>" data-bgcolor="<?php echo esc_attr( $canela_bknd_color_attribute ); ?>" >
		<?php } else { ?>
			<!-- Page Content -->
			<div id="page-content" class="<?php echo sanitize_html_class( $canela_bknd_color ); if( !canela_get_theme_options( 'clapat_canela_enable_magic_cursor' ) ){ echo " magic-cursor-disabled"; } ?>" data-bgcolor="<?php echo esc_attr( $canela_bknd_color_attribute ); ?>" >
		<?php } ?>
		
			<?php 
				// display header section
				get_template_part('sections/header_section'); 		
			?>