<?php

if ( ! class_exists( 'Canela_Hero_Properties' ) ) {

	class Canela_Hero_Properties
	{
		public $enabled;
		public $caption_title;
		public $caption_subtitle;
		public $position;
		public $opacity;
		public $image;
		public $foreground;
		public $scroll_down_caption;
		public $project_info;

		public function __construct(){

			$this->enabled = false;
			$this->caption_title = "";
			$this->caption_subtitle = "";
			$this->position = esc_attr("fixed-onscrol");
			$this->image = true;
			$this->foreground= esc_attr('light-content');
			$this->text_alignment = "";
			$this->scroll_down_caption = "";
			$this->project_info = "";
		}

		public function getProperties( $post_type ){

			if( $post_type == 'canela_portfolio' ){

				$this->enabled 			= true; // in portfolio projects hero is always enabled and the hero image will be displayed in showcase slider
				$this->caption_title	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-hero-caption-title' );
				$this->caption_subtitle = canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-hero-caption-subtitle' );
				$this->position 		= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-hero-position' );
				$this->foreground 	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-bknd-color' );
				$this->image		 	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-hero-img' );
				$this->scroll_down_caption = canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-hero-scroll-caption' );
				$this->project_info 	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-hero-project-info' );

			} else if( $post_type == 'post' ){

				$this->enabled = true; // the hero section is always enabled in case of blog posts, displaying post title and categories
				$this->caption_title 	= get_the_title();
				$this->caption_subtitle	= canela_blog_post_hero_caption();
				$this->position 		= esc_attr("parallax-onscroll");
				$this->foreground 	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-blog-bknd-color' );
				$this->image		 	= null;

			} else if( !empty( $post_type ) ){

				$this->enabled 			= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-enable-hero' );
				$this->caption_title	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-hero-caption-title' );
				$this->caption_subtitle = canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-hero-caption-subtitle' );
				$this->position 		= esc_attr("parallax-onscroll");
				$this->foreground 	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-bknd-color' );
				$this->image		 	= null;

			}
		}

	}
}

$canela_hero_properties = new Canela_Hero_Properties();

?>
