<?php

// You may replace $redux_opt_name with a string if you wish. If you do so, change loader.php
// as well as all the instances below.
$redux_opt_name = 'clapat_' . CANELA_THEME_ID . '_theme_options';


if ( !function_exists( "canela_add_metaboxes" ) ){

    function canela_add_metaboxes( $metaboxes ) {

    $metaboxes = array();


    ////////////// Page Options //////////////
    $page_options = array();
    $page_options[] = array(
        'title'         => esc_html__('General', 'canela'),
        'icon_class'    => 'icon-large',
        'icon'          => 'el-icon-wrench',
        'desc'          => esc_html__('Options concerning all page templates.', 'canela'),
        'fields'        => array(
			
			array(
                'id'        => 'canela-opt-page-bknd-color',
                'type'      => 'select',
                'title'     => esc_html__('Background color', 'canela'),
				'desc'      => esc_html__('Background color for this page.', 'canela'),
                'options'   => array(
                    'dark-content' 	=> esc_html__('White', 'canela'),
                    'light-content' => esc_html__('Black', 'canela')

                ),
				'default'   => 'light-content',
            ),
			
			/**************************HERO SECTION OPTIONS**************************/
			array(
                'id'        => 'canela-opt-page-enable-hero',
                'type'      => 'switch',
                'title'     => esc_html__('Display Hero Section', 'canela'),
                'desc'      => esc_html__('Enable "hero" section displayed immediately below page header. Showcase and Carousel pages do not have a hero section.', 'canela'),
				'on'       => esc_html__('Yes', 'canela'),
				'off'      => esc_html__('No', 'canela'),
                'default'   => false
            ),

			array(
                'id'        => 'canela-opt-page-hero-caption-title',
                'type'      => 'text',
				'required'  => array( 'canela-opt-page-enable-hero', '=', true ),
                'title'     => esc_html__('Hero Caption Title - First Row', 'canela'),
                'subtitle'  => esc_html__('The first row of the title displayed over hero section.', 'canela'),
	        ),

			array(
                'id'        => 'canela-opt-page-hero-caption-subtitle',
                'type'      => 'text',
				'required'  => array( 'canela-opt-page-enable-hero', '=', true ),
                'title'     => esc_html__('Hero Caption Title - Second Row', 'canela'),
                'subtitle'  => esc_html__('Second row of the caption title displayed over hero section.', 'canela'),
			),
			/**************************END - HERO SECTION OPTIONS**************************/
			
			/**************************PAGE NAVIGATION SECTION OPTIONS**************************/
			array(
                'id'        => 'canela-opt-page-enable-navigation',
                'type'      => 'switch',
                'title'     => esc_html__('Enable Page Navigation Section', 'canela'),
                'desc'      => esc_html__('Enable page navigation section displayed above the footer. Available only in Default, Portfolio and Portfolio Mixed templates.', 'canela'),
				'on'       => esc_html__('Yes', 'canela'),
				'off'      => esc_html__('No', 'canela'),
                'default'   => false
            ),
			
			array(
                'id'        => 'canela-opt-page-navigation-caption-first-line',
                'type'      => 'text',
				'required'  => array( 'canela-opt-page-enable-navigation', '=', true ),
                'title'     => esc_html__('Navigation Caption - First Line', 'canela'),
                'desc'  => esc_html__('Caption displayed when hovering the page navigation - first line.', 'canela'),
				'default' => esc_html__('Next', 'canela'),
	        ),
			
			array(
                'id'        => 'canela-opt-page-navigation-caption-second-line',
                'type'      => 'text',
				'required'  => array( 'canela-opt-page-enable-navigation', '=', true ),
                'title'     => esc_html__('Navigation Caption - Second Line', 'canela'),
                'desc'  => esc_html__('Caption displayed when hovering the page navigation - second line.', 'canela'),
				'default' => esc_html__('Page', 'canela'),
	        ),

			array(
                'id'        => 'canela-opt-page-navigation-next-url',
                'type'      => 'url',
				'required'  => array( 'canela-opt-page-enable-navigation', '=', true ),
                'title'     => esc_html__('Next Page Url', 'canela'),
                'desc'  => esc_html__('The url of the next page in navigation.', 'canela'),
	        ),
			
			array(
                'id'        => 'canela-opt-page-navigation-next-title',
                'type'      => 'text',
				'required'  => array( 'canela-opt-page-enable-navigation', '=', true ),
                'title'     => esc_html__('Next Page Title - First Row', 'canela'),
                'desc'  => esc_html__('The first row title of the next page in navigation. Displayed in two rows with a horizontal moving effect on scroll. For an optimal transition between pages this field is the next page hero title or next page title (if hero is disabled).', 'canela'),
	        ),

			array(
                'id'        => 'canela-opt-page-navigation-next-subtitle',
                'type'      => 'text',
				'required'  => array( 'canela-opt-page-enable-navigation', '=', true ),
                'title'     => esc_html__('Next Page Title - Second Row', 'canela'),
                'desc'  => esc_html__('The second row of the next page title.', 'canela'),
	        ),
			/**************************END - PAGE NAVIGATION SECTION OPTIONS**************************/
        ),
    );

	$page_options[] = array(
        'title'         => esc_html__('Portfolio and Portfolio Mixed Templates', 'canela'),
        'icon_class'    => 'icon-large',
        'icon'          => 'el-icon-folder-open',
        'desc'          => esc_html__('Options concerning only Portfolio templates.', 'canela'),
        'fields'        => array(

			array(
                'id'        	=> 'canela-opt-page-portfolio-filter-category',
                'type'      	=> 'text',
				'title'     	=> esc_html__('Category Filter', 'canela'),
                'desc'  		=> esc_html__('Paste here the portfolio category slugs you want to include in the Portfolio or Portfolio Mixed separated by comma. Do not include spaces. For example photography,branding. It will exclude the rest of the categories. The portfolio category slugs can be found in Portfolio -> Categories.', 'canela'),
				'default'  	=> '',
	        ),
			
			array(
                 'id'       	=> 'canela-opt-page-portfolio-layout-type',
                 'type'     	=> 'select',
                 'title'    	=> esc_html__( 'Portfolio Layout Type', 'canela'),
                 'desc' 		=> esc_html__( 'Type of layout in this portfolio page.', 'canela'),
                 'options'   => array(
                    'scattered-grid' 	=> esc_html__('Creative', 'canela'),
					'classic-grid'	=> esc_html__('Classic', 'canela'),
                 ),
				 'default'	=> 'scattered-grid',
            ),
			
			array(
                 'id'       	=> 'canela-opt-page-portfolio-caption-type',
                 'type'     	=> 'select',
                 'title'    	=> esc_html__( 'Caption Type', 'canela'),
                 'desc' 		=> esc_html__( 'How the portfolio item caption is displayed in relation with its thumbnail - immediately below or displayed on hover.', 'canela'),
                 'options'   => array(
                    'hover-caption' 	=> esc_html__('Hover', 'canela'),
					'below-caption'	=> esc_html__('Below', 'canela'),
                 ),
				 'default'	=> 'hover-caption',
            ),
			
			array(
                 'id'       => 'canela-opt-page-portfolio-mixed-items',
                 'type'   => 'text',
                 'title'    => esc_html__( 'Maximum Number Of Items In Portfolio Mixed', 'canela' ),
                 'desc' 	=> esc_html__( 'Available only for Portfolio Mixed Template: the maximum number of portfolio items displayed. Leave empty for ALL.', 'canela' )
             ),
			 
			 array(
                 'id'       	=> 'canela-opt-page-portfolio-mixed-content-position',
                 'type'     	=> 'select',
                 'title'    	=> esc_html__( 'Page Content Position', 'canela'),
                 'desc' 		=> esc_html__( 'Available only for Portfolio Mixed Template: page content position in relation with portfolio grid.', 'canela'),
                 'options'   => array(
                    'after' 	=> esc_html__('After Portfolio Grid', 'canela'),
					'before'	=> esc_html__('Before Portfolio Grid', 'canela'),
                 ),
				 'default'	=> true,
            ),
			
		),
	);
		
	$page_options[] = array(
        'title'         => esc_html__('Showcase and Carousel Templates', 'canela'),
        'icon_class'    => 'icon-large',
        'icon'          => 'el-icon-folder-open',
        'desc'          => esc_html__('Options concerning only Showcase and Carousel templates.', 'canela'),
        'fields'        => array(

			array(
                'id'        	=> 'canela-opt-page-showcase-filter-category',
                'type'      	=> 'text',
				'title'     	=> esc_html__('Category Filter', 'canela'),
                'desc'  		=> esc_html__('Paste here the portfolio category slugs you want to include in the Showcase slider separated by comma. Do not include spaces. For example photography,branding. It will exclude the rest of the categories. The portfolio category slugs can be found in Portfolio -> Categories.', 'canela'),
				'default'  	=> '',
	        ),
			
        ),

    );
	
	$metaboxes[] = array(
        'id'            => 'clapat_' . CANELA_THEME_ID . '_page_options',
        'title'         => esc_html__( 'Page Options', 'canela'),
        'post_types'    => array( 'page' ),
        'position'      => 'normal', // normal, advanced, side
        'priority'      => 'high', // high, core, default, low
        'sidebar'       => false, // enable/disable the sidsebar in the normal/advanced positions
        'sections'      => $page_options,
    );

    $blog_post_options = array();
    $blog_post_options[] = array(

         'icon_class'    => 'icon-large',
         'icon'          => 'el-icon-wrench',
         'fields'        => array(

			array(
                'id'        => 'canela-opt-blog-bknd-color',
                'type'      => 'select',
                'title'     => esc_html__('Background color', 'canela'),
				'desc'      => esc_html__('Background color for this blog post.', 'canela'),
                'options'   => array(
                    'dark-content' 	=> esc_html__('White', 'canela'),
                    'light-content' => esc_html__('Black', 'canela')

                ),
				'default'   => 'light-content',
            ),
				  
          )
        );
			/**************************END - HERO SECTION OPTIONS**************************/

    $metaboxes[] = array(
       'id'            => 'clapat_' . CANELA_THEME_ID . '_post_options',
       'title'         => esc_html__( 'Post Options', 'canela'),
       'post_types'    => array( 'post' ),
       'position'      => 'normal', // normal, advanced, side
       'priority'      => 'high', // high, core, default, low
       'sidebar'       => false, // enable/disable the sidebar in the normal/advanced positions
       'sections'      => $blog_post_options,
    );


    $portfolio_options = array();
    $portfolio_options[] = array(

        'icon_class'    => 'icon-large',
        'icon'          => 'el-icon-wrench',
        'fields'        => array(

			array(
                'id'        => 'canela-opt-portfolio-bknd-color',
                'type'      => 'select',
                'title'     => esc_html__('Background color', 'canela'),
				'desc'      => esc_html__('Background color for this page.', 'canela'),
                'options'   => array(
                    'dark-content' 	=> esc_html__('White', 'canela'),
                    'light-content' => esc_html__('Black', 'canela')

                ),
				'default'   => 'light-content',
            ),
			
			array(
                'id'        => 'canela-opt-portfolio-showcase-include',
                'type'      => 'select',
                'title'     => esc_html__('Include In Showcase Slider', 'canela'),
                'desc'      => esc_html__('Include this portfolio item in the Showcase slider. The slider is displayed in Showcase page template.', 'canela'),
				'options'   => array(
                    'yes'		=> esc_html__('Include in Showcase', 'canela'),
                    'no'  	=> esc_html__('Exclude from Showcase', 'canela')

                ),
                'default'   => 'yes'
            ),
			
			/**************************HERO SECTION OPTIONS**************************/
			array(
				'id'        => 'canela-opt-portfolio-hero-img',
                'type'      => 'media',
                'url'       => true,
                'title'     => esc_html__('Hero Image', 'canela'),
                'desc'      => esc_html__('Upload hero background image.  The hero image is being displayed in portfolio showcase. Hero section is the header section displayed at the top of the project page.', 'canela'),
                'default'   => array(),
            ),
			
			array(
                'id'        => 'canela-opt-portfolio-hero-caption-title',
                'type'      => 'text',
				'title'     => esc_html__('Hero Caption Title', 'canela'),
                'subtitle'  => esc_html__('Title displayed over hero section. The hero background image is set in the hero image set in preceding option.', 'canela'),
	        ),

			array(
                'id'        => 'canela-opt-portfolio-hero-caption-subtitle',
                'type'      => 'textarea',
				'title'     => esc_html__('Hero Caption Subtitle', 'canela'),
                'subtitle'  => esc_html__('The subtitle displayed over hero section. Enter plain text.', 'canela')
	        ),
			
			array(
                'id'        => 'canela-opt-portfolio-hero-scroll-caption',
                'type'      => 'text',
				'title'     => esc_html__('Scroll Down Caption', 'canela'),
                'desc'  => esc_html__('Scroll down caption displayed to the left of the hero image indicating scrolling down to reveal the content. Leave empty for no scroll down button.', 'canela'),
				'default'   => esc_html__('Scroll or drag to navigate', 'canela'),
	        ),

			array(
                'id'        => 'canela-opt-portfolio-hero-position',
                'type'      => 'select',
                'title'     => esc_html__('Hero Position', 'canela'),
                'desc'      => esc_html__('Position of the "hero" section displayed as page header.', 'canela'),
				'options'   => array(
                    'fixed-onscroll' 	=> esc_html__('Relative', 'canela'),
                    'parallax-onscroll' => esc_html__('Parallax', 'canela')
                ),
                'default'   => 'fixed-onscroll'
            ),
			/**************************END - HERO SECTION OPTIONS**************************/

        ),
    );

    $metaboxes[] = array(
        'id'            => 'clapat_' . CANELA_THEME_ID . '_portfolio_options',
        'title'         => esc_html__( 'Portfolio Item Options', 'canela'),
        'post_types'    => array( 'canela_portfolio' ),
        'position'      => 'normal', // normal, advanced, side
        'priority'      => 'high', // high, core, default, low
        'sidebar'       => false, // enable/disable the sidebar in the normal/advanced positions
        'sections'      => $portfolio_options,
    );

	return $metaboxes;
  }
  
}

if( class_exists('Clapat\Canela\Metaboxes\Meta_Boxes') ){

	$metabox_definitions = array();
	$metabox_definitions = canela_add_metaboxes( $metabox_definitions );
	do_action( 'clapat/canela/add_metaboxes', $metabox_definitions );
}