jQuery(function ($) {

	$(document).ready(function() {
		
		"use strict";
		
		PageLoad();
		ScrollEffects();
		FirstLoad();
		Showcase();
		ShowcaseWebgl();
		QuickMenu();
		Portfolio();
		Blog();		
		Shortcodes();	
		if( (typeof ClapatCanelaThemeOptions != 'undefined') && (ClapatCanelaThemeOptions.enable_ajax == "1") ){
			AjaxLoad();
			FitThumbScreen();
		} else {
			PageLoadNoAjax();
		}
		JustifiedGrid();
		Lightbox();
		Sliders();
		PlayVideo();
		InitContactMap();
	});

/*--------------------------------------------------
Function Page Load
---------------------------------------------------*/

	function PageLoad() {	
		
		if ($('#page-content').hasClass("light-content")) {
			$('.preloader-wrap').addClass('light-content');			
		}
		
		TweenMax.set($(".fullscreen-menu .menu-timeline .before-span"), {y: 120, opacity:0});
		
				
		$('body').removeClass('hidden').removeClass('hidden-ball');
		TweenMax.to($(".preloader-marquee-wrapper"), 1, {force3D:true, opacity:1, y: 0, delay:0.2, ease:Power3.easeOut});
		TweenMax.to($("#header-container"), 0.5, {force3D:true, opacity:1, delay:0.2, ease:Power2.easeOut}); //modified time
		var width = 100,
			perfData = window.performance.timing, 
			EstimatedTime = -(perfData.loadEventEnd - perfData.navigationStart),
			time = ((EstimatedTime/100)%30) * 100
			
		// Loadbar Animation
		$(".loadbar").animate({
			width: width + "%"
		}, time  );	
		
		
		// Percentage Increment Animation
		var PercentageID = $("#precent"),
				start = 0,
				end = 100,
				durataion = time + 0;
				animateValue(PercentageID, start, end, durataion);
				
		function animateValue(id, start, end, duration) {
		  
			var range = end - start,
			  current = start,
			  increment = end > start? 1 : -1,
			  stepTime = Math.abs(Math.floor(duration / range)),
			  obj = $(id);
			
			var timer = setInterval(function() {
				current += increment;
				$(obj).text(current);
			  //obj.innerHTML = current;
				if (current == end) {
					clearInterval(timer);
				}
			}, stepTime);
		}
		
		// Fading Out Loadbar on Finised
		setTimeout(function(){
			$('.loadbar').append('<span class="hold-progress-bar"></span>');
			
			TweenMax.to($('.hold-progress-bar'), 0.3, {force3D:true,width:'100%', delay:0, ease:Power2.easeOut, onComplete:function(){  //modified time 2019 nov
				
				$('body').waitForImages({
						finished: function() {
							TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999', backgroundColor:'transparent'});
							TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
							$('#ball p').remove();
							TweenMax.to($(" .trackbar, .percentage"),0.3, {force3D:true, opacity:0, y:-10, delay:0, ease:Power2.easeIn});
							TweenMax.to($(" .preloader-marquee"),0.5, {force3D:true, opacity:0, y:-40, delay:0.1, ease:Power2.easeIn});							
							TweenMax.to($(".preloader-wrap"),1, {force3D:true, yPercent: -101, delay:0.6, ease:Power2.easeInOut});
							TweenMax.set($(".preloader-wrap"), {visibility:'hidden', delay:1.7, opacity:0});
							TweenMax.to($("#header-container"), 0.5, {force3D:true, opacity:1, delay:1.4, ease:Power2.easeOut}); //modified time
							setTimeout(function(){
							
								$('body').waitForImages({
									finished: function() {
										TweenMax.to($(".header-middle, #footer-container, .showcase-counter, .swiper-pagination-bullet-active .counter"), 1, {force3D:true, opacity:1, delay:0, ease:Power2.easeOut}); 
												
									},
									waitForAll: true
								});
								
								if( $('.hero-video-wrapper').length > 0 ){
									$('#hero-image-wrapper').find('video').each(function() {
										$(this).get(0).play();
									}); 
								}
								
								TweenMax.to($("#main"), 0, {force3D:true, opacity:1, delay:0, ease:Power2.easeOut});//modified time
								if( $('#hero').hasClass("has-image")) {	
									TweenMax.to($("#hero-bg-image, #hero-fg-image"), 1, {force3D:true, scale:1 , opacity:1, delay:0.2, ease:Power2.easeOut});
									TweenMax.to($(".hero-title div"), 1, {force3D:true, y: 0, opacity:1, delay:0.5, ease:Power2.easeOut});
									TweenMax.to($(".hero-subtitle span"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:0.9, ease:Power2.easeOut});
									TweenMax.to($(".hero-footer-left"), 0.7, {force3D:true, y: 0, opacity:1, rotation:0, delay:1, ease:Power2.easeOut});
									TweenMax.to($(".hero-footer-right"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:1, ease:Power2.easeOut});
									TweenMax.to($(".scroll-down-wrap"), 1, {force3D:true, scale:1, opacity:1, delay:1.2, ease: Elastic.easeOut});														
									TweenMax.to($("#main-page-content"), 0.4, {force3D:true, opacity:1, y:0, delay:1.15, ease:Power2.easeOut});
								} else {
									// Fading In Small Carousel elements on Finised
									TweenMax.to($(".hero-title div"), 1, {force3D:true, y: 0, opacity:1, delay:0.5, ease:Power2.easeOut});
									TweenMax.to($(".hero-subtitle span"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:0.9, ease:Power2.easeOut});
									TweenMax.to($(".hero-footer-left"), 0.7, {force3D:true, y: 0, opacity:1, rotation:0, delay:1, ease:Power2.easeOut});
									TweenMax.to($(".hero-footer-right"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:1, ease:Power2.easeOut});
									TweenMax.to($(".error-button"), 0.4, {force3D:true, y: 0, opacity:1, rotation:0, delay:1, ease:Power2.easeOut});										
									TweenMax.to($("#main-page-content"), 0.7, {force3D:true, opacity:1, y:0, delay:1.3, ease:Power2.easeOut});				
								}	
								
								
								// Fading In Showcase elements on Finised
								TweenMax.set($("#canvas-slider"), {scale:1.1});
								TweenMax.set($(".showcase-footer .quickmenu, .showcase-footer .socials-wrap, .swiper-pagination-bullet .parallax-element"), {opacity:0});								
								TweenMax.to($("#canvas-slider"), 1, {force3D:true, opacity:1, scale:1, delay:0.3, ease:Power2.easeOut});
								TweenMax.to($(".swiper-pagination-bullet .title div"), 1, {force3D:true, y: 0, opacity:1, delay:0.5, ease:Power2.easeOut});
								TweenMax.to($(".swiper-pagination-bullet-active .subtitle span"), 0.7, {force3D:true, y: 0, opacity:1, delay:0.9, ease:Power2.easeOut});								
								TweenMax.to($(".showcase-footer .quickmenu"), 0.7, {force3D:true, y: 0, opacity:1, rotation:0, delay:1.2, ease:Power2.easeOut});
								TweenMax.to($(".swiper-pagination-bullet .parallax-element"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:1, ease:Power2.easeOut});
								TweenMax.to($(".showcase-footer .socials-wrap"), 0.7, {force3D:true, y: 0, opacity:1, rotation:0, delay:1.2, ease:Power2.easeOut});
								setTimeout( function(){	
									$('#showcase-slider-webgl-holder').addClass("loaded");
								} , 1000 );
								
								
								//Blog Appear
								TweenMax.to($("#blog-content"), 0.4, {force3D:true, opacity:1, y:0, delay:1.05, ease:Power2.easeOut});
								TweenMax.to($(".post-article-wrap"), 0.4, {force3D:true, y: 0, opacity:1, delay:0.7, ease:Power2.easeOut});
								TweenMax.to($("#post-content, #post .post-image, .post-meta-data, .post-navigation, .post-comments, .post-form"), 0.4, {force3D:true, opacity:1, y:0, delay:0.75, ease:Power2.easeOut});
								TweenMax.to($("#blog-navigation, #sidebar"), 1, {force3D:true, opacity:1, ease:Power2.easeOut});
											
									
								setTimeout( function(){	
									$('body').removeClass("load-project-page").removeClass("load-project-page-carousel");
								} , 600 );
								
								setTimeout( function(){	
									$('body').removeClass("load-next-project");
									$('body').addClass("header-visible");
									$('#showcase-holder').removeClass("disabled");
								} , 1600 );
								
								setTimeout( function(){	
									$('body').removeClass("show-loader")
								} , 800 );	
								
							} , 600 );
						},
					waitForAll: true
				});
				
			}});
	  
		}, time);
		
		
		
	}// End Page Load
	


/*--------------------------------------------------
Function Scroll Effects
---------------------------------------------------*/

function ScrollEffects() {
		
		
		setTimeout(function(){
			var threeapp = document.getElementById("app");
			threeapp.className += "active"; 
			$("body").append(threeapp)
		} , 1500 );
		
		if( $('#canvas-slider').length > 0 ){
			setTimeout(function(){
				var threeSlider = document.getElementById("canvas-slider");
				threeSlider.className += " active"; 
				$("body").append(threeSlider)
			} , 1500 );
		}
		
		if( $('#project-nav').length > 0 ){
			$('#main-content').addClass('color-page');
			$('#main-page-content').addClass('project-page');					
		}
		
		
		if ($(window).width() < 1025) {			
				
			var winHeight = $(window).height();
			var footer_height = $('footer').height();						
			$('nav, #canvas-slider, #showcase-slider-webgl-holder, .swiper-slide .outer, #quickmenu, #hero.has-image, #hero.has-image #hero-styles, #hero-image-wrapper, #project-nav').css({'height': winHeight});			
			$('#main-page-content.project-page').css({'margin-bottom': winHeight-footer_height});
			$('#project-nav').css({'bottom': -winHeight});
			$(".icon-wrap").removeClass("parallax-wrap");
			
			var resizeTime;
			$(window).resize(function() {
				clearTimeout(resizeTime);
				resizeTime = setTimeout(doneResizing, 100);
			});
			
			function doneResizing(){
				var winHeight = $(window).height();	
				var footer_height = $('footer').height();					
				$('nav, #canvas-slider, #showcase-slider-webgl-holder, .swiper-slide .outer, #quickmenu, #hero.has-image, #hero.has-image #hero-styles, #hero-image-wrapper, #project-nav').css({'height': winHeight});			
				$('#main-page-content.project-page').css({'margin-bottom': winHeight-footer_height});
				$(".icon-wrap").removeClass("parallax-wrap");
			}
			
		}
		
		if ($('figure').hasClass('has-parallax')) {			
			$("figure.has-parallax>img").each(function () {
				$(this).parent().css({
					'height': $(this).height() - 50
				})
			})			
		}
		
		
		if ($("body").hasClass("smooth-scroll")) {
			const ScrollArea = document.querySelector('#content-scroll');
			var scrollbar = window.Scrollbar;
			// Use plugins
			// import { ScrollbarPlugin } from 'smooth-scrollbar';
			var __extends = (this && this.__extends) || (function () {
				var extendStatics = Object.setPrototypeOf ||
					({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
					function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
				return function (d, b) {
					extendStatics(d, b);
					function __() { this.constructor = d; }
					d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
				};
			})();
			var EdgeEasingPlugin = /** @class */ (function (_super) {
				__extends(EdgeEasingPlugin, _super);
				function EdgeEasingPlugin() {
					var _this = _super !== null && _super.apply(this, arguments) || this;
					_this._remainMomentum = {
						x: 0,
						y: 0
					};
					return _this;
				}
				EdgeEasingPlugin.prototype.transformDelta = function (delta) {
					var _a = this.scrollbar, limit = _a.limit, offset = _a.offset;
					var x = this._remainMomentum.x + delta.x;
					var y = this._remainMomentum.y + delta.y;
					// clamps momentum within [-offset, limit - offset]
					this.scrollbar.setMomentum(Math.max(-offset.x, Math.min(x, limit.x - offset.x)), Math.max(-offset.y, Math.min(y, limit.y - offset.y)));
					return { x: 0, y: 0 };
				};
				EdgeEasingPlugin.prototype.onRender = function (remainMomentum) {
					Object.assign(this._remainMomentum, remainMomentum);
				};
				EdgeEasingPlugin.pluginName = 'edgeEasing';
				return EdgeEasingPlugin;
			}(Scrollbar.ScrollbarPlugin));
			Scrollbar.use(EdgeEasingPlugin);
			// Config
			var ScrollbarOptions = {
				damping:0.03,
				renderByPixel: true,
				continuousScrolling: true,
				syncCallbacks: true,
			};

			// Initialise
			var scrollbar = Scrollbar.init(ScrollArea, ScrollbarOptions);
			
			if ($(window).width() > 1024) {
			
				if ($("body").hasClass("drag-scroll")) {
				
					setTimeout(function(){
						
						var rcBounds = scrollbar.getSize().content;
						var rcBoundsContainer = scrollbar.getSize().container;
						console.log("container height is: " +  rcBoundsContainer.height);
						console.log("scrollbar limit is: " +  scrollbar.limit.y);
						var draggable = Draggable.create(".scroll-content", {
							
							type: "y",
							bounds: {minX:0, maxX:0, minY:0, maxY:(rcBoundsContainer.height-rcBounds.height) },
							autoScroll:2,
							dragResistance:-2,
							edgeResistance:1,
							onPress:function(e) {
								console.log("Draggable - on press");
								// disable drag on resolutions less than 1024px
								if( window.innerWidth <= 1024 ){
		
									e.dragCancelled = true;
									this.endDrag(e);
									return;
								}
		
								if( e.button == 2 ){
		
									//we need to disable the drag if the right mouse button is pressed
									e.dragCancelled = true;
									this.endDrag(e);
									return;
								}
								else if( e.target != null ){
		
									if( $(e.target).parents('.disable-drag').length )
									{
										//we need to disable the drag if the area is marked as such
										e.dragCancelled = true;
										this.endDrag(e);
										return;
									}
		
								}
		
								// update the UI to show dragging arrows
								$('body').addClass('scale-up');
								TweenMax.to('#ball', 0.2,{borderWidth: '2px', borderColor:'#999', scale: 1});
							},
							onClick:function() {
								console.log("Draggable - on click");
							},
							onDragStart:function() {
								console.log("Draggable - drag start");
								if( this.minY != -scrollbar.limit.y ){
									var rcNewBounds = scrollbar.getSize().content;
									var rcNewBoundsContainer = scrollbar.getSize().container;
									this.applyBounds( {minX:0, maxX:0, minY:0, maxY:-scrollbar.limit.y } );
								}
							},
							onDrag:function() {
								console.log("Draggable - drag, y value: " + this.y + ", scrollbar offset: " + scrollbar.scrollTop  + ", minY: " + this.minY  + ", maxY: " + this.maxY );
								TweenLite.to(scrollbar, 1, {scrollTo:-this.y, ease:Power4.easeOut});
								
		
							},
							onDragEnd:function( e ) {
								console.log("Draggable - drag end");
		
								if( e.dragCancelled ){
		
									console.log("Draggable - drag cancelled");
									return;
								}
								document.getElementById("content-scroll").addEventListener("wheel", myFunction);
		
								function myFunction() {
								  TweenLite.set(scrollbar, {scrollTo:-this.y});
								}
		
								
							},
							onRelease:function( e ) {
								console.log("Draggable - release");
								if( e.dragCancelled ){
		
									return;
								}
								$('body').removeClass('scale-up');
								TweenMax.to('#ball', 1,{borderWidth: '4px', scale:0.5, borderColor:'#999999', ease: Elastic.easeOut});
							}
						});
						scrollbar.addListener( function( status ) {
							TweenLite.set(draggable[0].target, {x:0, y:-scrollbar.scrollTop});
						});
		
						
						
					} , 1000 );
					
				}
				
			}

		}
			
		
		
		// Hero AutoScroll On Page Load
		if ($('#hero.has-image').hasClass('autoscroll')) {
		
			if( $('#hero').hasClass("has-image")) {			
				if ($("body").hasClass("smooth-scroll")) {
					TweenMax.to(scrollbar, 1.5, {scrollTo:120, delay:0.7, ease:Power4.easeInOut});
				} else {                    
					TweenMax.to(window, 1.5, {scrollTo:120, delay:0.7, ease:Power4.easeInOut});           
				}				
			}
		}
		
		
		
		
		// Slider Center on click
		$('.autocenter').on('click', function() {				
			var $window = $(window),
				$element = $(this),
				elementTop = $element.offset().top,
				elementHeight = $element.height(),
				viewportHeight = $window.height(),
				scrollIt = elementTop - ((viewportHeight - elementHeight) / 2);	
			if ($("body").hasClass("smooth-scroll")) {					
				var scrollOffset = scrollbar.offset.y + (elementTop - scrollbar.getSize().container.height/2);                    
				TweenLite.to(scrollbar, 0.8, {scrollTo:scrollOffset + elementHeight/2, ease:Power4.easeInOut});                    
			}
			else{                    
				$("html, body").animate({ scrollTop: scrollIt }, 350);                
			}				
		});
		
		
		// Back To Top
		$('#backtotop').on('click', function() {	
			if ($("body").hasClass("smooth-scroll")) {
				TweenLite.to(scrollbar, 1.5, {scrollTop:0, delay:0.1, ease:Power4.easeInOut});
				TweenMax.to('#ball', 0.3,{borderWidth: '4px', scale:0.5, borderColor:'#999999', delay:0.15});
			} else {
				$("html,body").animate({scrollTop: 0}, 800);
				TweenMax.to('#ball', 0.3,{borderWidth: '4px', scale:0.5, borderColor:'#999999', delay:0.15});
			}
		});
		
		//Scroll Down
		$('.scroll-down').on('click', function() {	
			var heroheight = $("#hero").height();			
			if ($("body").hasClass("smooth-scroll")) {
				TweenLite.to(scrollbar, 1.5, {scrollTop:heroheight, ease:Power4.easeInOut});
				TweenMax.to('#ball', 0.3,{borderWidth: '4px', scale:0.5, borderColor:'#999999', delay:0.15});
			} else {
				$("html,body").animate({scrollTop: heroheight}, 800);
				TweenMax.to('#ball', 0.3,{borderWidth: '4px', scale:0.5, borderColor:'#999999', delay:0.15});
			}
		});
		
		
		//Hero Parallax
		var heroparallax = TweenMax.to('.parallax-scroll-effect', 1, {top:"5%", scale:1.1, opacity:1, ease:Linear.easeNone});
		var captionParallax = TweenMax.to('#hero-caption.parallax-onscroll', 0.5, {yPercent:10, opacity:0, ease:Linear.easeNone});
		var reverseCaptionParallax = TweenMax.to('#hero-caption.reverse-parallax-onscroll', 0.5, {yPercent:10, opacity:0.5, ease:Linear.easeNone});
		var bottomParallax = TweenMax.to('#hero-footer', 0.5, {yPercent:15, opacity:0, ease:Linear.easeNone});
		
		var bottomProjectParallax = TweenMax.to('.next-project-image', 1, {top:"0",  scale:1, opacity:0.8, ease:Linear.easeNone});
		var bottomProjectCaptionParallax = TweenMax.to('.next-project-wrap', 0.5, {top:"0", scale:1, opacity:1, ease:Linear.easeNone});
		var bottomPageCaptionParallax = TweenMax.to('.next-page-title', 0.5, {top:"0", scale:1, opacity:1, ease:Linear.easeNone});
		
		var controller = new ScrollMagic.Controller();
		
		var heroScene = new ScrollMagic.Scene({
			triggerElement: '#hero',
			triggerHook: 0,
			duration:'120%'
		})
		.setTween(heroparallax)
		.addTo(controller);
		  
		var captionScene = new ScrollMagic.Scene({
			triggerElement: '#hero',
			triggerHook: 0,
			duration:'50%'
		})
		.setTween(captionParallax)
		.addTo(controller);
		
		var reverseCaptionScene = new ScrollMagic.Scene({
			triggerElement: '#hero',
			triggerHook: 0,
			duration:'100%'
		})
		.setTween(reverseCaptionParallax)
		.addTo(controller);
		
		var bottomScene = new ScrollMagic.Scene({
			triggerElement: '#hero',
			triggerHook: 0,
			duration:'30%'
		})
		.setTween(bottomParallax)
		.addTo(controller);
		
				
		
		var bottomProjectScene = new ScrollMagic.Scene({
			triggerElement: '#project-nav',
			triggerHook: 1,
			duration:'100%'
		})
		.setTween(bottomProjectParallax)
		.addTo(controller);
		  
		var bottomProjectCaptionScene = new ScrollMagic.Scene({
			triggerElement: '#project-nav',
			triggerHook: 1,
			duration:'100%'
		})
		.setTween(bottomProjectCaptionParallax)
		.addTo(controller);
		
		
		var $PageNavHeight = $('#page-nav').outerHeight() + $('footer').outerHeight();
		var bottomPageCaptionScene = new ScrollMagic.Scene({
			triggerElement: '#page-nav',
			triggerHook: 1,
			duration:$PageNavHeight
		})
		.setTween(bottomPageCaptionParallax)
		.addTo(controller);
				
		if ($("body").hasClass("smooth-scroll")) {
			scrollbar.addListener(() => {
				heroScene.refresh()
				captionScene.refresh()
				reverseCaptionScene.refresh()
				bottomScene.refresh()
				bottomProjectScene.refresh()
				bottomProjectCaptionScene.refresh()
				bottomPageCaptionScene.refresh()
			});
		}
		
		// 	Content Parallax Image 
		$(".has-parallax").each( function () {
			var $this = $(this);
			var $thisHeight = window.innerHeight*2;
			var bg = $this.find("img");
			
			// Add tweenmax for backgroundParallax
			var parallax = TweenMax.fromTo( bg, 1, {y: '-20%'}, {y: '20%', ease:Linear.easeNone});
			
			// Create scrollmagic scene
			var parallaxScene = new ScrollMagic.Scene({
				triggerElement: this, // <-- Use this to select current element
				triggerHook: 1,
				duration:$thisHeight
			})
			.setTween(parallax)
			.addTo(controller);
			
			if ($("body").hasClass("smooth-scroll")) {
				scrollbar.addListener(() => {
					parallaxScene.refresh()
				});
			}
			
		});
		
		// Elements Animation
		$('.has-animation').each(function(){
			var $this = $(this);
			var $thisHeight = $(this).height();
			
			var scene = new ScrollMagic.Scene({triggerElement:$this[0],duration: $thisHeight})
				.addTo(controller);
			
			scene.triggerHook(1)
			
			scene.on('enter', function(){
				$this.delay($this.attr('data-delay')).queue(function(next){
					TweenMax.to($this, 0.6, {force3D:true, opacity:1, y:0, scale:1, delay:0, ease:Power2.easeOut});
					next();
					$this.addClass('animated')
				});
			});
			
			if ($("body").hasClass("smooth-scroll")) {
				scrollbar.addListener(() => {
					scene.refresh()
				});
			}
		})
		
		$("body").find(".has-scale").each(function(i) {				
			$(this).wrap( "<div class='figure-wrapper'></div>" );
		});
		
		$('.has-mask').each(function(){
			var words = $(this).text().split(" ");
			var total = words.length;
			$(this).empty();
			for (index = 0; index < total; index ++){
				$(this).append($("<span /> ").text(words[index]));
			}
		});
		
		$('.has-mask span').each(function(){
			var words = $(this).text().split(" ");
			var total = words.length;
			$(this).empty();
			for (index = 0; index < total; index ++){
				$(this).append($("<span /> ").text(words[index]));
			}
		});
		
		$('.has-mask').each(function(){
			var $this = $(this);
			var $thisHeight = $(this).height();
			
			var scene = new ScrollMagic.Scene({triggerElement:$this[0],duration: $thisHeight})
				.addTo(controller);
			
			scene.triggerHook(1)
			
			scene.on('enter', function(){				
				$this.delay($this.attr('data-delay')).queue(function(next){
					var tl = new TimelineLite();
						
					$this.find('span > span').each(function(index, element) {
						tl.to(element, 0.6, {y:0, opacity:1, delay:0.3, ease:Power2.easeOut}, index * 0)
					});
					next();
				});				
			});
			
			if ($("body").hasClass("smooth-scroll")) {
				scrollbar.addListener(() => {
					scene.refresh()
				});
			}
		})
		
		
		//Portfolio Items Appear
		$('.portfolio .item').each(function(){
			var $this = $(this);
			var $thisHeight = $(this).height();
			
			var scene = new ScrollMagic.Scene({triggerElement:$this[0],duration: $thisHeight})
				.addTo(controller);
			
			scene.triggerHook(0.9)
			
			scene.on('enter', function(){				
				$this.addClass('active');
			});
			
			if ($("body").hasClass("smooth-scroll")) {
				scrollbar.addListener(() => {
					scene.refresh()
				});
			}
		})	
		
		
		//Row Options
		$(".white-section").each(function(i) {				
			if ($(this).hasClass("large")) {
				$(this).wrap( "<div class='white-section-wrapper large'><div class='white-section-container'></div></div>" );
			} else {
				$(this).wrap( "<div class='white-section-wrapper'><div class='white-section-container'></div></div>" );
			}
			$("body").find(".white-section-wrapper").each(function(i) {				
				$(this).css('background-color', function () {
					return $(this).children().children().data('bgcolor')
				});
			});
		});
		
		$(".half-white-section").each(function(i) {				
			$(this).wrap( "<div class='half-white-section-wrapper'></div>" );
			if ($(this).hasClass("first")) {
				$(this).parent('.half-white-section-wrapper').addClass('first');
			} else if ($(this).hasClass("second")) {
				$(this).parent('.half-white-section-wrapper').addClass('second');
			}
			$("body").find(".half-white-section-wrapper").each(function(i) {				
				$(this).css('background-color', function () {
					return $(this).children().data('bgcolor')
				});
			});
		});
		
		$(".dark-section").each(function(i) {				
			if ($(this).hasClass("large")) {
				$(this).wrap( "<div class='dark-section-wrapper large'><div class='dark-section-container'></div></div>" );
			} else {
				$(this).wrap( "<div class='dark-section-wrapper'><div class='dark-section-container'></div></div>" );
			}			
			$("body").find(".dark-section-wrapper").each(function(i) {				
				$(this).css('background-color', function () {
					return $(this).children().children().data('bgcolor')
				});
			});
		});
		
		$(".half-dark-section").each(function(i) {				
			$(this).wrap( "<div class='half-dark-section-wrapper'></div>" );
			if ($(this).hasClass("first")) {
				$(this).parent('.half-dark-section-wrapper').addClass('first');
			} else if ($(this).hasClass("second")) {
				$(this).parent('.half-dark-section-wrapper').addClass('second');
			}
			$("body").find(".half-dark-section-wrapper").each(function(i) {				
				$(this).css('background-color', function () {
					return $(this).children().data('bgcolor')
				});
			});
		});
		
		
		
		$('#project-nav.change-header').each(function(){
			const contentu = $('#page-content');
			var $this = $(this);
			var $thisHeight = $(this).outerHeight(true);
			
			var whiteScene = new ScrollMagic.Scene({triggerElement:this,duration: $thisHeight})
				.addTo(controller)
				
			
			whiteScene.triggerHook(0.08)
			
			whiteScene.on('enter', function(){
				contentu.removeClass('light-content');
			});
			
			whiteScene.on('leave', function(){
			  	contentu.addClass('light-content');
		  	});
			
					
			if ($("body").hasClass("smooth-scroll")) {
				scrollbar.addListener(() => {
					whiteScene.refresh()
				});
			}
		})
		
		if (!$('#page-content').hasClass("light-content")) {
			if (!$('#project-nav').hasClass("change-header")) {
				$('#project-nav').each(function(){
					const contentu = $('#page-content');
					var $this = $(this);
					var $thisHeight = $(this).outerHeight(true);
					
					var whiteScene = new ScrollMagic.Scene({triggerElement:this,duration: $thisHeight})
						.addTo(controller)							
					
					whiteScene.triggerHook(0.08)
					
					whiteScene.on('enter', function(){
						contentu.addClass('light-content');							
					});
					
					whiteScene.on('leave', function(){
						contentu.removeClass('light-content');
					});
							
					if ($("body").hasClass("smooth-scroll")) {
						scrollbar.addListener(() => {
							whiteScene.refresh()
						});
					}
				})
			}
		}
		
		
		if( $('.change-header-color').length > 0 ){	
			$('body').waitForImages({
				finished: function() {
			
					$('.change-header-color').each(function(){
						const headeru = $('header');
						var $this = $(this);
						var $thisHeight = $(this).outerHeight(true);
						
						var whiteScene = new ScrollMagic.Scene({triggerElement:this,duration: $thisHeight})
							.addTo(controller)
						
						whiteScene.triggerHook(0.08)
						
						whiteScene.on('enter', function(){
							setTimeout( function(){
								headeru.addClass('white-header');
							} , 10 );
						});
						
						whiteScene.on('leave', function(){
							headeru.removeClass('white-header');
						});
						
						if ($("body").hasClass("smooth-scroll")) {
							scrollbar.addListener(() => {
								whiteScene.refresh()
							});
						}
					})
			
				},
				waitForAll: true
			});	
		
		}		
		
		$('header').removeClass('white-header');
		
		var $elheight = window.innerHeight;
		
		$(".scattered-grid .item").each( function () {
			var $this = $(this);

			var $thisheight = $(this).height() + $elheight;
			var bg = $this.find(".item-parallax.enabled");
			
			var parallax = TweenMax.fromTo( bg, 1, {y: '20%'}, {y: '-20%', ease:Linear.easeNone});
			
			var parallaxScene = new ScrollMagic.Scene({
				triggerElement: this, // <-- Use this to select current element
				triggerHook: 1,
				duration:$thisheight
			})
			.setTween(parallax)
			.addTo(controller);
			
			if ($("body").hasClass("smooth-scroll")) {
				scrollbar.addListener(() => {
					parallaxScene.refresh()
				});
			}
			
		});
		
		
		$('.content-carousel').each(function(){
			var $this = $(this);
			var $thisHeight = $(this).outerHeight(true);
			var tlCarousel = new TimelineLite();
			tlCarousel.set($(".content-carousel .swiper-slide"), {x: 800, opacity:0});
			
			var scene = new ScrollMagic.Scene({triggerElement:this,duration: $thisHeight})
				.addTo(controller);
			
			scene.triggerHook(1)
			
			scene.on('enter', function(){				
				$(".content-carousel .swiper-slide").each(function(index, element) {
					tlCarousel.to(element, 1.4, {x:0, opacity:1, delay:0.1, ease:Power3.easeOut}, index * 0.1)
				});
				
			});
					
			if ($("body").hasClass("smooth-scroll")) {
				scrollbar.addListener(() => {
					scene.refresh()
				});
			}
		})		
		
			
	
	}// End Scroll Effects
	
	
	
	

/*--------------------------------------------------
Function First Load
---------------------------------------------------*/	

	function FirstLoad() {
		
		
		$('#main .has-image .hero-title, #main #project-nav .hero-title').each(function(){
			var words = $(this).text().split(" ");
			var total = words.length;
			$(this).empty();
			for (index = 0; index < total; index ++){
				$(this).append($("<div /> ").text(words[index]));
			}
		});
		
		$('#main .has-image .hero-title div, #main #project-nav .hero-title div').each(function(){
			var words = $(this).text().slice(" ");
			var total = words.length;
			$(this).empty();
			for (index = 0; index < total; index ++){
				$(this).append($("<span /> ").text(words[index]));
			}
		});
		
		setTimeout(function(){
			if ($("#page-content").hasClass("light-content")) {
				$("nav").css('background-color', '#141414');
				$("main, #main-content.color-page").css('background-color', function () {
					return $("#page-content").data('bgcolor')
				});
				$('#magic-cursor').addClass('light-content');
				if( $('#hero').length > 0 ){						
					if( $('#hero').hasClass("has-image")) {	
						$("header").css('background-color', 'transparent');
					} else {
						if ($("header").hasClass("fullscreen-menu")) {
							$("header").css('background-color', 'transparent');
						} else {
							$("header").css('background-color', '#141414');
						}
					}
				} else {
					$("header").css('background-color', 'transparent');
				}
			} else {			
				$("nav").css('background-color', '#141414');
				$("main, #main-content.color-page").css('background-color', function () {
					return $("#page-content").data('bgcolor')
				});
				$('#magic-cursor').removeClass('light-content');
				if( $('#hero').length > 0 ){	
					if( $('#hero').hasClass("has-image")) {	
						$("header").css('background-color', 'transparent');
					} else {
						if ($("header").hasClass("fullscreen-menu")) {
							$("header").css('background-color', 'transparent');
						} else {
							$("header").css('background-color', '#fff');
						}
					}
				} else {
					$("header").css('background-color', 'transparent');
				}
			}
		} , 10 );
		
		$('.video-cover').each(function() {
			var image = $(this).data('src');	
			$(this).css({'background-image': 'url(' + image + ')'});
		});
		
		//Load Default Page
		$('a.ajax-link').on('click', function() {
			$("body").addClass("show-loader");	
			$(".flexnav").removeClass("flexnav-show");
			$('#menu-burger').removeClass("open");
			$('header').removeClass('white-header');
			$("#app").remove();
			setTimeout(function(){
				$("#canvas-slider.active").remove();						
			} , 300 );
			$(".temporary-hero").remove();	
			var tlMenu = new TimelineLite();
			$(".fullscreen-menu .menu-timeline").each(function(index, element) {
				tlMenu.to(element, 0.25, {y:-30, opacity:0, ease:Power2.easeIn}, index * 0.03)
			});	
			TweenMax.to('#ball', 0.3,{borderWidth:"4px",scale:0.5,backgroundColor:"rgba(0, 0, 0, 0)",opacity:1});			
			TweenMax.to($("#main, #hero-image-wrapper, #project-nav, .next-project-image, #app, #canvas-slider, #showcase-slider-webgl-holder, #quickmenu-scroll, #blog, #hero"), 0.3, {opacity:0, delay:0, ease:Power0.ease});					
			TweenMax.to($("#footer-container, .header-middle"), 0.3, {opacity:0, ease:Power0.ease});			
			TweenMax.to('#show-filters, #counter-wrap', 0.2,{opacity:0});
		});
		
		
		
		//Load Page From Menu
		$('nav .ajax-link').on('click', function() {
			$(this).parents('.flexnav').addClass('hover');
			$(this).parents('.item-with-ul').addClass('hover');
			TweenMax.set($(this).find('span'),{yPercent:0});
			var tl = new TimelineLite();
			$(".fullscreen-menu .menu-timeline .before-span").each(function(index, element) {
				tl.to(element, 0.5, {force3D:true, y:-120, opacity:0, delay:0, ease:Power2.easeIn}, index * 0.05)
			});
			$('header').removeClass('white-header');
			$("#app").remove();
			$(".temporary-hero").remove();	
		});
		
		
		
		$('#burger-wrapper, .menu .button-text').on('click', function() {
			$('#menu-burger, nav').toggleClass('open');			
			setTimeout( function(){			
				if ($('#menu-burger').hasClass("open")) {
					$('header').addClass('over-sidebar').addClass('over-white-section');
					if (!$('#page-content').hasClass("light-content")) {	
						$('#magic-cursor').addClass('light-content');
						$('#header-container').addClass('light-content');
					}
					TweenMax.set($("nav ul ul li"), {y: 0, opacity:1});
					//Fade In Navigation Lists
					var tlMenu = new TimelineLite();
					tlMenu.set($(".fullscreen-menu .menu-timeline .before-span"), {y: 120, opacity:0});
					$(".fullscreen-menu .menu-timeline .before-span").each(function(index, element) {
						tlMenu.to(element, 0.7, {force3D:true, y:0, opacity:1, delay:0.4, ease:Power2.easeOut}, index * 0.1)
					});
					
						
				} else {	
					//Fade Out Navigation Lists	
					var tlMenu = new TimelineLite();					
					$(".fullscreen-menu .menu-timeline .before-span").each(function(index, element) {
						tlMenu.to(element, 0.5, {force3D:true, y:-120, opacity:0, delay:0, ease:Power2.easeIn}, index * 0.05)
					});
					
					var tlSubMenu = new TimelineLite();					
					$("ul.flexnav-show li").each(function(index, element) {
						tlSubMenu.to(element, 0.5, {force3D:true, y:-120, opacity:0, delay:0, ease:Power2.easeIn}, index * 0.03)
					});
					
					if (!$('#page-content').hasClass("light-content")) {	
						setTimeout( function(){
							$('#magic-cursor').removeClass('light-content');
							$('#header-container').removeClass('light-content');
						} , 500 );
					}
					setTimeout( function(){
						$(".touch-button.active").trigger("click");
						$('header').removeClass('over-sidebar')
						setTimeout( function(){
							$('header').removeClass('over-white-section');
						} , 350 );
					} , 500 );
				}							
			} , 20 );
		});
		
		
		// Page Navigation Events
		$(".next-ajax-link-page").on('mouseenter', function() {	
			var $this = $(this);			
			if ($('#page-content').hasClass("light-content")) {
				TweenMax.to('#ball', 0.3,{borderWidth: '2px', scale: 1.2, borderColor:'#fff', backgroundColor:'#fff'});
				TweenMax.to('#ball p', 0, {css:{color:"#000"}})
			} else {
				TweenMax.to('#ball', 0.3,{borderWidth: '2px', scale: 1.2, borderColor:'#000', backgroundColor:'#000'});
				TweenMax.to('#ball p', 0, {css:{color:"#fff"}})
			}
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 2, left: 2});
			$( "#ball" ).append( '<p class="first">' + $this.data("firstline") + '</p>' + '<p>' + $this.data("secondline") + '</p>' );				
		});
							
		$(".next-ajax-link-page").on('mouseleave', function() {					
			TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999', backgroundColor:'transparent'});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
			$('#ball p').remove();				
		});				
		
		
		$('.next-ajax-link-page').on('click', function() {					
			$("body").addClass("load-next-page");
			$("body").addClass("show-loader");
			$('header').removeClass('white-header');
			$("#app").remove();
			$(".temporary-hero").remove();	
				
			TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999', backgroundColor:'transparent'});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
			$("#ball").removeClass("with-icon");
			$('#ball p').remove();
			$('#ball i').remove();	
			
			if ($('#project-nav').hasClass("light-content")) {				
				setTimeout(function(){
					$('body').addClass('light-content');								
				} , 300 );
			}
			if ($("body").hasClass("smooth-scroll")) {
				var navmove = $("#content-scroll").height() - $("#page-nav").height() - $("footer").height() 			
			} else {
				var navmove = window.innerHeight - $("#hero").height() - $("footer").height() 		   
			}
			
			TweenMax.to($("#main-page-content, #hero"), 0.3, {opacity:0});		
			TweenMax.to($("#page-nav"), 0.7, {y: - navmove, delay:0, ease:Power2.easeInOut});
			TweenMax.to($("footer"), 0.3, {opacity:0, delay:0, ease:Power2.easeInOut});
		});
		
		
		// Project Navigation Events
		$("#project-nav .next-ajax-link-project").mouseenter(function(e) {	
			var $this = $(this);		
			$( "#ball" ).append( '<p class="first">' + $this.data("firstline") + '</p>' + '<p>' + $this.data("secondline") + '</p>' );
			if ($('#project-nav').hasClass("light-content")) {
				TweenMax.to('#ball', 0.3,{borderWidth: '2px', scale: 1.2, borderColor:'#fff', backgroundColor:'#fff'});
				TweenMax.to('#ball p', 0, {css:{color:"#000"}})
			} else {
				TweenMax.to('#ball', 0.3,{borderWidth: '2px', scale: 1.2, borderColor:'#000', backgroundColor:'#000'});
				TweenMax.to('#ball p', 0, {css:{color:"#fff"}})
			}
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 2, left: 2});
			
		});
						
		$("#project-nav .next-ajax-link-project").mouseleave(function(e) {
			TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999', backgroundColor:'transparent'});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
			$('#ball p').remove();
		});	
		
		$('.next-ajax-link-project').on('click', function() {					
			$("body").addClass("load-project-thumb-with-title").addClass("show-loader");
			$('header').removeClass('white-header');
			$("#app").remove();
			$('.next-project-image').addClass("temporary").appendTo('body');
			if ($(this).parents('#project-nav').hasClass("change-header")) {
				$("body").append('<div class="temporary-hero"><div class="outer"><div class="inner"></div></div></div>');
			} else {
				$("body").append('<div class="temporary-hero light-content"><div class="outer"><div class="inner"></div></div></div>');
			}
			$('.next-caption').appendTo('.temporary-hero .inner');	
				
			TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999', backgroundColor:'transparent'});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
			$("#ball").removeClass("with-icon");
			$('#ball p').remove();
			$('#ball i').remove();
			
			TweenMax.to($("#main-page-content"), 0.3, {opacity:0});			
			TweenMax.to($(".next-project-image"), 0.6, {scale:1, opacity: 1, ease:Power2.easeOut,onComplete: function() {
			  $('.next-project-image').addClass("visible")
			}});
			TweenMax.to($("footer"), 0.3, {opacity:0, ease:Power2.easeInOut});
				
		});
		
		if( $('.portfolio').length > 0 ){
			$('#main-page-content').addClass('portfolio-page');			
		}
		
		if( $('#main-page-content').length > 0 ){
			if ($('p').is(":first-child")) {
				$('#main-page-content').addClass('comments-page');
			}
		}
		
		var viewportWidth = $(window).width();
		if (viewportWidth < 1024) {				
			$('.hero-video-wrapper').remove();							 
		}
		
		// add a label element to CF7 input elements for the underline highlight effect
		$( '.wpcf7-form-control-wrap' ).each( function() {
			
			if( $( this ).has('label').length <= 0 ){
				$( this ).append( '<label class="input_label"></label>' );
			}
		});
		
		$( '.page-numbers li a' ).each( function() {			
			$(this).addClass("link")	
		});		
		
	}// End First Load

	
/*--------------------------------------------------
Function Lazy Load
---------------------------------------------------*/

	function LazyLoad() {	
		
		TweenMax.set($("#show-filters, #counter-wrap"), {opacity:0, delay:0});
		
		$('body').waitForImages({
			finished: function() {
				$('body').removeClass('loading')
				setTimeout( function(){	
					$('body').removeClass('hidden').removeClass('scale-up').removeClass('scale-none');
				} , 1500 );
			},
			waitForAll: true
		});	
		
		$('body').waitForImages({
			finished: function() {
				TweenMax.to($("#header-container, .header-middle"), 1, {force3D:true, opacity:1, ease:Power2.easeOut});
							
			},
			waitForAll: true
		});
		
		if( !$('#canvas-slider').hasClass("active")) {	
			TweenMax.set($('#canvas-slider'), {opacity:0, scale:1.1});
			TweenMax.to($('#canvas-slider'), 1, {force3D:true, opacity:1, scale:1, delay:0.3, ease:Power2.easeOut});
		}	
		
		TweenMax.to($("#main"), 0.3, {force3D:true, opacity:1, delay:0.1, ease:Power2.easeOut});
			
		
		if( $('#hero').hasClass("has-image")) {	
			if( $('body').hasClass("load-project-thumb-with-title")) {
				TweenMax.to($("#hero-fg-image, #hero-bg-image"), 0, {force3D:true, scale:1 , opacity:1, delay:0, ease:Power2.easeOut});	
				TweenMax.to($(".hero-title div"), 0, {y: 0, opacity:1, delay:0});
				TweenMax.to($(".hero-subtitle span"), 0, {y:0, opacity:1, rotation:0, delay:0});
				TweenMax.to($(".hero-footer-left"), 0.7, {force3D:true, y: 0, opacity:1, rotation:0, delay:0.9, ease:Power2.easeOut});
				TweenMax.to($(".hero-footer-right"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:1, ease:Power2.easeOut});		
			} else if( $('body').hasClass("load-project-thumb")) {
				TweenMax.to($("#hero-fg-image, #hero-bg-image"), 0, {force3D:true, scale:1.02 , opacity:1, delay:0, ease:Power2.easeOut});				
				TweenMax.to($(".hero-title div"), 1, {force3D:true, y: 0, opacity:1, delay:0.3, ease:Power2.easeOut});
				TweenMax.to($(".hero-subtitle span"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:0.7, ease:Power2.easeOut});
				TweenMax.to($(".hero-footer-left"), 0.7, {force3D:true, y: 0, opacity:1, rotation:0, delay:1.1, ease:Power2.easeOut});
				TweenMax.to($(".hero-footer-right"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:1.2, ease:Power2.easeOut});			
			} else if( $('body').hasClass("load-project-canvas")) {
				TweenMax.to($("#hero-fg-image, #hero-bg-image"), 0, {force3D:true, scale:1 , opacity:1, delay:0, ease:Power2.easeOut});				
				TweenMax.to($(".hero-title div"), 1, {force3D:true, y: 0, opacity:1, delay:0.3, ease:Power2.easeOut});
				TweenMax.to($(".hero-subtitle span"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:0.7, ease:Power2.easeOut});
				TweenMax.to($(".hero-footer-left"), 0.7, {force3D:true, y: 0, opacity:1, rotation:0, delay:1.1, ease:Power2.easeOut});
				TweenMax.to($(".hero-footer-right"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:1.2, ease:Power2.easeOut});			
			} else {
				TweenMax.to($("#hero-fg-image, #hero-bg-image"), 0, {force3D:true, scale:1.02 , opacity:1, delay:0, ease:Power2.easeOut});
				TweenMax.to($(".hero-title span"), 0.7, {force3D:true, y: 0, opacity:1, rotation:0, delay:0.7, ease:Power2.easeOut});
				TweenMax.to($(".hero-subtitle"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:0.6, ease:Power2.easeOut});
				TweenMax.to($(".hero-footer-left"), 0.7, {force3D:true, y: 0, opacity:1, rotation:0, delay:0.9, ease:Power2.easeOut});
				TweenMax.to($(".hero-footer-right"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:1, ease:Power2.easeOut});	
			}
			TweenMax.to($("#main-page-content"), 0.4, {force3D:true, opacity:1, y:0, delay:0.95, ease:Power2.easeOut});
		} else {
			TweenMax.to($("#hero .hero-title div"), 1, {y: 0, opacity:1, rotation:0, delay:0, ease:Power2.easeOut})
			TweenMax.to($("#hero .hero-subtitle span"), 0.7, {force3D:true, y: 0, opacity:1, delay:0.4, ease:Power2.easeOut});
			TweenMax.to($(".hero-footer-left"), 0.7, {force3D:true, y: 0, opacity:1, delay:0.5, ease:Power2.easeOut});
			TweenMax.to($(".hero-footer-right"), 0.7, {force3D:true, y:0, opacity:1, delay:0.6, ease:Power2.easeOut});
			TweenMax.to($(".error-button"), 0.4, {force3D:true, y: 0, opacity:1, rotation:0, delay:0.2, ease:Power2.easeOut});
			TweenMax.to($("#main-page-content"), 0.2, {force3D:true, opacity:1, delay:0.15, ease:Power2.easeOut});
			TweenMax.to($(".post-article-wrap"), 0.4, {force3D:true, y: 0, opacity:1, ease:Power2.easeOut});
		}
		
		// Fading In Showcase elements on Finised
		
		TweenMax.set($(".showcase-footer .quickmenu, .showcase-footer .socials-wrap, .swiper-pagination-bullet .parallax-element"), {opacity:0});										
		TweenMax.to($(".swiper-pagination-bullet .title div"), 1, {force3D:true, y: 0, opacity:1, delay:0.5, ease:Power2.easeOut});
		TweenMax.to($(".swiper-pagination-bullet-active .subtitle span"), 0.7, {force3D:true, y: 0, opacity:1, delay:0.9, ease:Power2.easeOut});								
		TweenMax.to($(".showcase-footer .quickmenu"), 0.7, {force3D:true, y: 0, opacity:1, rotation:0, delay:1.2, ease:Power2.easeOut});
		TweenMax.to($(".swiper-pagination-bullet .parallax-element"), 0.7, {force3D:true, y:0, opacity:1, rotation:0, delay:1, ease:Power2.easeOut});
		TweenMax.to($(".showcase-footer .socials-wrap"), 0.7, {force3D:true, y: 0, opacity:1, rotation:0, delay:1.2, ease:Power2.easeOut});
		setTimeout( function(){	
			$('#showcase-slider-webgl-holder').addClass("loaded");
		} , 1000 );
		
		// Blog Load
		TweenMax.to($("#post-content, #post .post-image, .post-meta-data, .post-navigation, .post-comments, .post-form"), 0.4, {force3D:true, opacity:1, y:0, delay:0.1, ease:Power2.easeOut});
		TweenMax.to($("#blog-navigation, #sidebar"), 1, {force3D:true, opacity:1, ease:Power2.easeOut});
		TweenMax.to($("#blog-content"), 0.4, {force3D:true, opacity:1, y:0, delay:0.15, ease:Power2.easeOut});
		
		TweenMax.to($("#footer-container"), 1, {force3D:true, opacity:1, delay:0.4, ease:Power2.easeOut});		
		
		if( $('.load-project-thumb').length > 0 ){
			setTimeout( function(){
				$('#hero-image-wrapper').find('video').each(function() {
					$(this).get(0).play();
				});
				$("#app.active").remove();
				$("#canvas-slider.active").remove();
				$(".temporary-hero").remove();
				$(".next-project-image.temporary").remove();	
			} , 300 );
		} else if( $('.load-project-canvas').length > 0 ){
			setTimeout( function(){
				$('#hero-image-wrapper').find('video').each(function() {
					$(this).get(0).play();
				});
				$("#app.active").remove();
				$("#canvas-slider.active").remove();
				$(".temporary-hero").remove();
				$(".next-project-image.temporary").remove();	
			} , 300 );
		} else if( $('.load-project-thumb-with-title').length > 0 ){
			setTimeout( function(){
				$('#hero-image-wrapper').find('video').each(function() {
					$(this).get(0).play();
				});
				$("#app.active").remove();
				$("#canvas-slider.active").remove();
				$(".temporary-hero").remove();
				$(".next-project-image.temporary").remove();
				$('body').removeClass("load-project-thumb-with-title").removeClass("show-loader");	
			} , 500 );
		} else {
			$('#hero-image-wrapper').find('video').each(function() {
				$(this).get(0).play();
			});
		}
		setTimeout( function(){	
			$('body').removeClass("load-project-thumb").removeClass("load-project-canvas").removeClass("show-loader");			
		} , 300 );
		
		setTimeout( function(){	
			//$('header').removeClass('white-header');
			$('body').removeClass("load-project-page").removeClass("load-next-project").removeClass("load-next-page").removeClass("show-loader");			
		} , 500 );
		
	
	}// End Lazy Load		

	
/*--------------------------------------------------
Function Showcase
---------------------------------------------------*/
	
	function Showcase() {
		
	
		if( $('#showcase-slider-webgl-holder').length > 0 ){
			
			$("footer").addClass("showcase-footer")
			
			
			var titles = [];
			var subtitle = [];
			$('#slider .swiper-slide').each(function(i) {
			  	titles.push($(this).data('title'))
				subtitle.push($(this).data('subtitle'))
			});
			
								
			var swiperOptions = {
				direction: "horizontal",
				loop: true,
				grabCursor: false,
				resistance : true,
				touchRatio: 3,
				longSwipes:true,
				longSwipesRatio:0.1,
				resistanceRatio:1,
				slidesPerView: 1,				
				centeredSlides: true,
				allowTouchMove:true,
				spaceBetween:0,  
				speed:1000,
				autoplay: false,
				mousewheel: true,
				parallax:true,				
				pagination: {
				  el: '.showcase-pagination',
					clickable: true,
					renderBullet: function (index, className) {
						return '<div class="' + className + '">' + '<div class="caption-wrapper">' + '<div class="title">' + titles[index] + '</div>' + '<div class="subtitle">' + '<span>' + subtitle[index] + '</span>' + '</div>' + '</div>' +'<div class="parallax-wrap">' + '<div class="parallax-element">' + '<svg class="fp-arc-loader" width="20" height="20" viewBox="0 0 20 20">'+
								'<circle class="path" cx="10" cy="10" r="5.5" fill="none" transform="rotate(-90 10 10)"'+
								'stroke-opacity="1" stroke-width="2px"></circle>'+
								'<circle class="solid-fill" cx="10" cy="10" r="3"></circle>'+
								'</svg></div></div>' + '</div>';						 
					},
				},						
				on: {
					init: function () {
						var $transformPerspective = $(".swiper-pagination-bullet .title span");
						TweenLite.set($transformPerspective, {transformPerspective:500});
						
						
					},
					slidePrevTransitionStart: function () {	
			
						$('.showcase-pagination').find('.swiper-pagination-bullet').each(function() {
							if (!$(this).hasClass("swiper-pagination-bullet-active")) {															
								TweenMax.staggerTo($(this).find('.title span'), 0.5, {y:10, rotationX: -78, transformOrigin:"50% 90% 0px", opacity:0, ease:Power2.easeInOut},  0.04)
								TweenMax.to($(this).find('.subtitle span'), 0.5, {y:30, opacity:0, delay:0.2, ease:Power2.easeInOut})
							} else {
								TweenLite.set($(this).find('.title span'), {y:-10, rotationX: 78, transformOrigin:"50% 90% 0px", opacity:0, });
								TweenLite.set($(this).find('.subtitle span'), {y:-30, opacity:0, });
								TweenMax.staggerTo($(this).find('.title span'), 0.5, {y:0, rotationX: 0, transformOrigin:"50% 10% 0px", opacity:1, delay:0.5, ease:Power2.easeOut}, 0.04)
								TweenMax.to($(this).find('.subtitle span'), 0.5, {y:0, opacity:1, delay:0.5, ease:Power2.easeInOut})									
							}
						});
												
					},
					slideNextTransitionStart: function () {	
			
						$('.showcase-pagination').find('.swiper-pagination-bullet').each(function() {
							if (!$(this).hasClass("swiper-pagination-bullet-active")) {															
								TweenMax.staggerTo($(this).find('.title span'), 0.5, {y:-10, rotationX: 78, transformOrigin:"50% 10% 0px", opacity:0, ease:Power2.easeInOut},  0.04)
								TweenMax.to($(this).find('.subtitle span'), 0.5, {y:-30, opacity:0, delay:0.2, ease:Power2.easeInOut})
							} else {
								TweenLite.set($(this).find('.title span'), {y:10, rotationX: -78, transformOrigin:"50% 10% 0px", opacity:0, });
								TweenLite.set($(this).find('.subtitle span'), {y:30, opacity:0, });
								TweenMax.staggerTo($(this).find('.title span'), 0.5, {y:0, rotationX: 0, transformOrigin:"50% 90% 0px", opacity:1, delay:0.5, ease:Power2.easeOut}, 0.04)
								TweenMax.to($(this).find('.subtitle span'), 0.5, {y:0, opacity:1, delay:0.5, ease:Power2.easeInOut})											
							}
						});
												
					},		
					slideChangeTransitionStart: function () {
						
						$('.swiper-slide-active').find('div').first().each(function() {
							if (!$(this).hasClass("active")) {
								$(this).trigger('click');
							}
							
						});
						
						$('.swiper-slide-duplicate-active').find('div').first().each(function() {
							if (!$(this).hasClass("active")) {
								$(this).trigger('click');
							}
						}); 
						
						if ($('.swiper-slide-active').hasClass("change-header")) {							
							$('#page-content').delay(500).queue(function(next){
								$(this).removeClass('light-content');
								next();
							});							
						} else {							
							$('#page-content').delay(500).queue(function(next){
								$(this).addClass('light-content');
								next();
							});
						}
						
						$('.swiper-slide').find('.slide-title').each(function() {
							$(this).removeClass('active-title');							
						});
						
						LinesWidth();
						
						
					},
					slideChangeTransitionEnd: function () {	
						
						setTimeout(function(){ 
							$('.swiper-slide-active').find('.slide-title').each(function() {
								$(this).addClass('active-title');							
							});
							
							$('.swiper-slide-duplicate-active').find('.slide-title').each(function() {
								$(this).addClass('active-title');	
							});
						}, 0);
						
					},
  				},
			};
			
			
			function LinesWidth() {
			
				var carouselWidth = $('#showcase-slider-webgl-holder').width();
				var captionWidth = $('.swiper-slide-active .slide-title').width();
				var lineWidth = carouselWidth / 2 - 140
				
				$(".caption-border.left").css({
					'width': lineWidth - captionWidth/2 + 'px',
					'opacity': 1,
				});				
				$(".caption-border.right").css({
					'width': lineWidth - captionWidth/2 + 'px',
					'opacity': 1,
				});
				
			}// End Lines Width
			
			
							
			var showSwiper = new Swiper("#slider", swiperOptions);
			
			
			LinesWidth();
			
		
			
			function BulletsPosition() {
				var bullets_count = $('.swiper-pagination-bullet .parallax-wrap').length;
				var bullets_count_width = $('.swiper-pagination-bullet .parallax-wrap').length * 40 / 2;
				var bullets_height = $('.showcase-pagination-wrap').height()/2;
				var window_height = $(window).height() / 2;
				var footer_height = $('footer').height() / 2 + 130;
				for( i = 0; i < bullets_count; i++ ) { $('.swiper-pagination-bullet .parallax-wrap').eq( i ).css( 'left', (i * 40) - bullets_count_width + 20).css( 'top', (bullets_height - 20) + window_height - footer_height);	}
			}
			
			BulletsPosition();
			
			var resizeTime;
			$(window).resize(function() {
				clearTimeout(resizeTime);
				resizeTime = setTimeout(doneResizing, 50);
			});
				
			function doneResizing(){
				BulletsPosition();
				LinesWidth();
			}			
			
			$('.swiper-container .slide-title-wrapper').on('mousedown', function(event) {
				return false;
			});	
		
			$('.swiper-container').on('mousedown touchstart', function(event) {
				TweenMax.to('#ball', 0.2,{borderWidth: '2px', scale: 1, borderColor:'#fff',});
				$("body" ).addClass("scale-drag-x");				
			});
			
			$('.swiper-container').on('mouseup touchend', function(event) {
				TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
				$("body").removeClass("scale-drag-x");				
			});
						
			$('.title').each(function(){
				var words = $(this).text().split(" ");
				var total = words.length;
				$(this).empty();
				for (index = 0; index < total; index ++){
					$(this).append($("<div /> ").text(words[index]));
				}
			});
			
			$('.title div').each(function(){
				var words = $(this).text().slice(" ");
				var total = words.length;
				$(this).empty();
				for (index = 0; index < total; index ++){
					$(this).append($("<span /> ").text(words[index]));
				}
			});
			
			// Page Navigation Events
			$("#showcase-slider-webgl-holder .slide-link").on('mouseenter', function() {	
				var $this = $(this);			
				TweenMax.to('#ball', 0.3,{borderWidth: '2px', scale: 1.2, borderColor:'#fff', backgroundColor:'#fff'});
				TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 2, left: 2});
				$( "#ball" ).append( '<p class="first">' + $this.data("firstline") + '</p>' + '<p>' + $this.data("secondline") + '</p>' );				
			});
								
			$("#showcase-slider-webgl-holder .slide-link").on('mouseleave', function() {					
				TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999', backgroundColor:'transparent'});
				TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
				$('#ball p').remove();				
			});			
			
			
			$('#showcase-slider-webgl-holder .slide-link').on('click', function() {				
				$("body").addClass("show-loader");
				if ($(this).parents('.swiper-slide').hasClass("change-header")) {
					$("body").append('<div class="temporary-hero"><div class="outer"><div class="inner"></div></div></div>');
				} else {
					$("body").append('<div class="temporary-hero light-content"><div class="outer"><div class="inner"></div></div></div>');
				}
				$('.swiper-pagination-bullet-active').find('.caption-wrapper').appendTo('.temporary-hero .inner');
				TweenMax.to('footer, .showcase-pagination-wrap .parallax-element, .caption-border', 0.5,{opacity:0, ease:Power4.easeInOut});
				
				setTimeout( function(){
					$("body").addClass("load-project-thumb-with-title");	
				} , 300 );
				
				TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999', backgroundColor:'transparent'});
				TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
				$("#ball").removeClass("with-icon");
				$('#ball p').remove();
				$('#ball i').remove();
			});
						
			
		}	
		
			
	}//End Showcase Slider
	
	
	
	
	
/*--------------------------------------------------
Function Showcase Webgl Slider
---------------------------------------------------*/
	
	function ShowcaseWebgl() {
		
	
		if( $('#showcase-slider-webgl-holder').length > 0 ){
			
			
			var vertex = 'varying vec2 vUv; void main() {  vUv = uv;  gl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );	}';
			var fragment = `
				varying vec2 vUv;

				uniform sampler2D currentImage;
				uniform sampler2D nextImage;
				uniform sampler2D disp;
				uniform float dispFactor;
				uniform float effectFactor;
				uniform vec4 resolution;

				void main() {

					vec2 uv = (vUv - vec2(0.5))*resolution.zw + vec2(0.5);

					vec4 disp = texture2D(disp, uv);
					vec2 distortedPosition = vec2(uv.x + dispFactor * (disp.r*effectFactor), uv.y);
					vec2 distortedPosition2 = vec2(uv.x - (1.0 - dispFactor) * (disp.r*effectFactor), uv.y);
					vec4 _currentImage = texture2D(currentImage, distortedPosition);
					vec4 _nextImage = texture2D(nextImage, distortedPosition2);
					vec4 finalTexture = mix(_currentImage, _nextImage, dispFactor);

					gl_FragColor = finalTexture; }

				`;
			
			var pattern = '';
			if( typeof ClapatCanelaShowcaseOptions != 'undefined' ){

				pattern = ClapatCanelaShowcaseOptions.transition_pattern_image;
			}
						
			var gl_canvas = new ClapatWebGL({
					vertex: vertex,
					fragment: fragment,
					transitionPattern: pattern
			});

			var addEvents = function(){

				var triggerSlide = Array.from(document.getElementById('trigger-slides').querySelectorAll('.slide-wrap'));
				gl_canvas.isRunning = false;

				triggerSlide.forEach( (el) => {

					el.addEventListener('click', function() {

							if( !gl_canvas.isRunning ) {

								gl_canvas.isRunning = true;

								document.getElementById('trigger-slides').querySelectorAll('.active')[0].className = '';
								this.className = 'active';

								var slideId = parseInt( this.dataset.slide, 10 );

								gl_canvas.material.uniforms.nextImage.value = gl_canvas.textures[slideId];
								gl_canvas.material.uniforms.nextImage.needsUpdate = true;

								TweenLite.to( gl_canvas.material.uniforms.dispFactor, 1, {
									value: 1,
									ease: 'Sine.easeInOut',
									onComplete: function () {
										gl_canvas.material.uniforms.currentImage.value = gl_canvas.textures[slideId];
										gl_canvas.material.uniforms.currentImage.needsUpdate = true;
										gl_canvas.material.uniforms.dispFactor.value = 0.0;
										gl_canvas.isRunning = false;
									}
								});

							}

					});

				});

			};

			addEvents();
			
			
			var addEventsHover = function(){

				var triggerSlide = Array.from(document.getElementById('quick-projects').querySelectorAll('.slide-wrap'));
				gl_canvas.isRunning = false;

				triggerSlide.forEach( (el) => {

					el.addEventListener('mousemove', function() {
						
						if (!$(this).hasClass("active")) {
						
							if( !gl_canvas.isRunning ) {

								gl_canvas.isRunning = true;

								document.getElementById('quick-projects').querySelectorAll('.active')[0].className = '';
								this.className = 'active';

								var slideId = parseInt( this.dataset.slide, 10 );

								gl_canvas.material.uniforms.nextImage.value = gl_canvas.textures[slideId];
								gl_canvas.material.uniforms.nextImage.needsUpdate = true;

								TweenLite.to( gl_canvas.material.uniforms.dispFactor, 0.5, {
									value: 1,
									ease: 'Sine.easeInOut',
									onComplete: function () {
										gl_canvas.material.uniforms.currentImage.value = gl_canvas.textures[slideId];
										gl_canvas.material.uniforms.currentImage.needsUpdate = true;
										gl_canvas.material.uniforms.dispFactor.value = 0.0;
										gl_canvas.isRunning = false;
									}
								});

							}
							
						}

					});

				});

			};

			addEventsHover();			
			
		}	
			
	}//End Showcase Slider	
	
	
/*--------------------------------------------------
Function QuickMenu
---------------------------------------------------*/

	function QuickMenu() {
		
		//Quick Menu
		$('.quickmenu, #close-quickmenu').on('click', function() {			
			$('.quickmenu, #quickmenu').toggleClass('active');
			
			setTimeout( function(){			
				if ($('#quickmenu').hasClass("active")) {	
					
					$('#quickmenu-scroll').animate({ scrollTop: $('#quickmenu').offset().top },0);					
					
					TweenMax.to($("#canvas-slider"), 1, {force3D:true, scale:0.4, delay:0.3, ease:Power3.easeInOut});
					
					setTimeout(function(){
						$('.swiper-slide-active').find('div').first().each(function() {
							$(this).trigger('click');
							
						});
						
						$('.swiper-slide-duplicate-active').find('div').first().each(function() {
							$(this).trigger('click');
						}); 
					} , 300 );	
					
					var slidertitleheight = $(".title").height()
					
					TweenMax.to($('#fixed-borders'), 0.2, {force3D:true, opacity:0, delay:0, ease:Power2.easeIn});
					TweenMax.to($('.swiper-pagination-bullet-active').find('.title div'), 0.4, {force3D:true, opacity:0, y:-slidertitleheight/2, delay:0, ease:Power2.easeIn});
					TweenMax.to($('.swiper-pagination-bullet-active').find('.subtitle span'), 0.3, {force3D:true, opacity:0, y:-30, delay:0.1, ease:Power2.easeIn});
					
					
					$('.showcase-pagination-wrap').addClass("disabled-bullets");
					TweenMax.to($(".showcase-pagination-wrap .parallax-element"), 0.3, {scale:0, delay:0.3, ease:Power2.easeOut});
					
					
					TweenMax.set($('.swiper-pagination-bullet-active').find('.title div'), {opacity:0, y:slidertitleheight, delay:0.7});
					TweenMax.set($('.swiper-pagination-bullet-active').find('.subtitle span'), {opacity:0, y:40, delay:0.9});
					
					var quicktitle = new TimelineLite();
					quicktitle.set($(".q-timeline"), {opacity:0, y:60});
					$(".q-timeline").each(function(index, element) {
						quicktitle.to(element, 0.5, {opacity:1, y:0, delay:0.5, ease:Power3.easeOut}, index * 0.1)
					});
					setTimeout(function(){
						if ($('.swiper-slide-active').hasClass("change-header")) {
							$('#page-content').addClass('light-content');
						}
						
						if ($('.swiper-slide-duplicate-active').hasClass("change-header")) {
							$('#page-content').addClass('light-content');
						}
					} , 500 );
						
						
				} else {
					
					var quicktitle = new TimelineLite();
					$(".q-timeline").each(function(index, element) {
						quicktitle.to(element, 0.25, {opacity:0, y:-60, ease:Power1.easeIn}, index * 0.03)
					});
					
					setTimeout(function(){
						$('#quickmenu-scroll').animate({ scrollTop: $('#quickmenu').offset().top },100);
					} , 700 );
					
					TweenMax.to($('#fixed-borders'), 0.3, {force3D:true, opacity:1, y:0, delay:1, ease:Power2.easeOut});
					TweenMax.to($('.swiper-pagination-bullet-active').find('.title div'), 0.7, {force3D:true, opacity:1, y:0, delay:0.5, ease:Power2.easeOut});
					TweenMax.to($('.swiper-pagination-bullet-active').find('.subtitle span'), 0.5, {force3D:true, opacity:1, y:0, delay:0.7, ease:Power2.easeOut});
					
					TweenMax.to($(".showcase-pagination-wrap .parallax-element"), 0.5, {scale:1,delay:1, ease:Power2.easeOut});				
					$('.showcase-pagination-wrap').removeClass("disabled-bullets");
					
					TweenMax.to($("#canvas-slider"), 1.2, {force3D:true, scale: 1, delay:0.2, ease:Power3.easeInOut});
					
					setTimeout(function(){
						$('.swiper-slide-active').find('div').first().each(function() {
							$(this).trigger('click');
							
						});
						
						$('.swiper-slide-duplicate-active').find('div').first().each(function() {
							$(this).trigger('click');
						}); 
					} , 300 );
					
					setTimeout( function(){
						if ($('.swiper-slide-active').hasClass("change-header")) {
							$('#page-content').removeClass('light-content');
						}
						
						if ($('.swiper-slide-duplicate-active').hasClass("change-header")) {
							$('#page-content').removeClass('light-content');
						}
					} , 900 );
				}							
			} , 20 );
		});
		
		
		$(".quickmenu, #close-quickmenu").on('click', function() {
			$(".quickmenu .icon-wrap").toggleClass("disabled");			   
			if ($(".quickmenu .icon-wrap").hasClass('disabled')) {
				$('.quickmenu .button-text span').text($('.quickmenu .button-text span').data('off'));
				$('.quickmenu .button-text span').attr("data-off", $('.quickmenu .button-text span').data('hover'));
				$('.quickmenu .button-text span').attr("data-hover", $('.quickmenu .button-text span').text());
				
			} else {
				$('.quickmenu .button-text span').text($('.quickmenu .button-text span').data('hover'));
				$('.quickmenu .button-text span').attr("data-hover", $('.quickmenu .button-text span').data('hover'));
				$('.quickmenu .button-text span').attr("data-off", $('.quickmenu .button-text span').data('off'));
			}
		});		
		
		if( $('#quickmenu').length > 0 ){
			var offsetHeight = document.getElementById('quick-projects').offsetHeight;
			document.getElementById('close-quickmenu').style.height = offsetHeight+'px';
		}
		
		
		$(" #close-quickmenu").mouseenter(function(e) {	
			TweenMax.to('#ball', 0.2,{borderWidth: '2px', scale: 1, borderColor:'#fff',});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 2, left: 2});
			$( "#ball" ).addClass("close-icon").append( '<i class="fa fa-times"></i>' );
		});
			
		$(" #close-quickmenu").mouseleave(function(e) {
			TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
			$("#ball").removeClass("close-icon");
			$('#ball i').remove();
		});
		
		$("#close-quickmenu").on('click', function() {
			TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
			$("#ball").removeClass("close-icon");
			$('#ball i').remove();
		});
		
		
		class Spring {
			constructor(list, friction) {
				this.__list = $(list);
				this.friction = friction;
				this.desire_positionY = $("#quickmenu-scroll").scrollTop();
				this.py = [];
				// Behaviours
				$("#quickmenu-scroll").on("scroll", this.handleChange.bind(this));
				this.update();
			}

			handleChange(e){
				this.desire_positionY = $("#quickmenu-scroll").scrollTop();
				
			}
  
			update(){
				$.each(this.__list, function(i, e){
					if(this.py[i] == null) this.py[i] = 0;
					this.py[i] += ( (this.desire_positionY) - this.py[i]) / (this.friction+i);
					$(e).css({
						"top":  Math.round(this.desire_positionY)+"px",
						"transform": " translateY(-"+ Math.round(this.py[i])+"px)"
					});
				}.bind(this))
				window.requestAnimationFrame(this.update.bind(this));
				
			}
		}

		if ($(window).width() > 1024) {			
				
			let spring = new Spring("#quick-projects li", 6);			
		}
		
		if( (typeof ClapatCanelaThemeOptions != 'undefined') && (ClapatCanelaThemeOptions.enable_ajax == "1") ){
			
			$('.quick-title').on('click', function() {
				let parent_slide = $(this).closest( 'li' );
				parent_slide.addClass('above');
				
				TweenMax.to($("#canvas-slider"), 1, {force3D:true, scale: 1, delay:0, ease:Power3.easeInOut});
				
				var quicktitle = new TimelineLite();
				$(".q-timeline").each(function(index, element) {
					quicktitle.to(element, 0.25, {opacity:0, y:-60, ease:Power1.easeIn}, index * 0.03)
				});
					
				$("body").addClass("show-loader");			
				TweenMax.to('footer, .showcase-pagination-wrap .parallax-element', 0.5,{opacity:0, ease:Power4.easeInOut});
				
				setTimeout( function(){
					$("body").addClass("load-project-canvas");	
				} , 300 );
				
				TweenMax.to('#ball', 0.2,{borderWidth: '4px', opacity:1, scale:0.5, borderColor:'#999999', backgroundColor:'transparent'});
				TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
				$("#ball").removeClass("with-icon");
				$('#ball p').remove();
				$('#ball i').remove();
				$("#ball").removeClass("close-icon");
				$('#ball i').remove();
				
				$(this).delay(1000).queue(function() {
					var link = $(".above").find('a');
					link.trigger('click');
				});
				
			});
		}
		
		
	}// End QuickMenu	


/*--------------------------------------------------
Function Portfolio
---------------------------------------------------*/	
		
	function Portfolio() {	
	
			
		if( $('.portfolio-wrap').length > 0 ){			
			
			
			if ($("body").hasClass("smooth-scroll")) {
				var elem = document.querySelector("#content-scroll");
				var scrollbar = Scrollbar.init(elem,
				{
					renderByPixels: true,
					damping:0.05
				});
			}
			
			var $container = $('.portfolio');
		
			$container.isotope({
			  layoutMode: 'packery',
			  itemSelector: '.item',
			  gutter:0,
			  transitionDuration: "0.5s"
			});
			
			$('#filters a').on('click', function() {
				$('#filters a').removeClass('active');
				$(this).addClass('active');
				$('.item').addClass('item-margins');
				var selector = $(this).attr('data-filter');
				$container.isotope({ filter: selector }, function( $changedItems, instance ) {
				  instance.$allAtoms.filter('.isotope-hidden').removeClass('is-filtered');
				  instance.$filteredAtoms.addClass('is-filtered');
				});		
				return false;
			});
			
			$("#all").trigger('click');
			
			
			$(".item-image").mouseenter(function(e) {	
				TweenMax.to('#ball', 0.3,{borderWidth: '2px', scale: 1, borderColor:'#fff'});
				TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 2, left: 2});
				$( "#ball" ).addClass("with-icon").append( '<i class="fa fa-plus"></i>' );
				$(this).parent().find('video').each(function() {
					$(this).get(0).play();
				});
			});
							
			$(".item-image").mouseleave(function(e) {
				TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999'});
				TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
				$("#ball").removeClass("with-icon");
				$('#ball i').remove();
				$(this).parent().find('video').each(function() {
					$(this).get(0).pause();
				});
			});			
			
			
			//Show Filters On overlay
			$('#show-filters, #close-filters').on('click', function() {			
				$('#filters-overlay').toggleClass('active');
				var navtitleheight = $(".hero-title").height()
				var navsubtitleheight = $(".hero-subtitle").height()
				
				setTimeout( function(){			
					if ($('#filters-overlay').hasClass("active")) {
						
						TweenMax.to($(".item-parallax"), 0.6, {force3D:true, scale:0.9, opacity:0.3, delay:1.1, ease:Power2.easeInOut});					
						TweenMax.to($(".active .item-caption"), 0.3, {opacity:0, ease:Power2.easeOut});
						TweenMax.to($("#show-filters, #counter-wrap"), 0.3, {opacity:0, delay:0, ease:Power2.easeOut});
						TweenMax.to($("#show-filters, #counter-wrap"), 0, {visibility:'hidden', delay:0.35, ease:Power2.easeOut}); 
						
						//Fade In Navigation Lists
						TweenMax.set($(".filters-info"), {y:30, opacity:0});
						TweenMax.to($(".filters-info"), 0.4, {force3D:true, y:0, opacity:1, delay:0.7, ease:Power2.easeOut});
						var tlMenu = new TimelineLite();
						tlMenu.set($(".filters-timeline"), {y:60, opacity:0});
						$(".filters-timeline").each(function(index, element) {
							tlMenu.to(element, 0.5, {y:0, opacity:1, delay:1.2, ease:Power3.easeOut}, index * 0.1)
						});
						
						var heroheight = $("#hero").height();			
						if ($("body").hasClass("smooth-scroll")) {
							TweenLite.to(scrollbar, 1.5, {scrollTop:heroheight, ease:Power4.easeInOut});
						} else {
							$("html,body").animate({scrollTop: heroheight}, 800);
						}
							
					} else {					
						
						
						TweenMax.to($(".item-parallax"), 0.6, {force3D:true, scale: 1, opacity:1, delay:0.3, ease:Power2.easeInOut});					
						TweenMax.to($(".active .item-caption"), 0.5, {opacity:1, delay:0.5, ease:Power2.easeOut});
						TweenMax.set($("#show-filters, #counter-wrap"), {visibility:'visible', opacity:0});
						TweenMax.to($("#show-filters, #counter-wrap"), 0.3, {opacity:1, delay:0.7, ease:Power2.easeOut});
						
						//Fade Out Navigation Lists
						TweenMax.to($(".filters-info"), 0.2, {force3D:true, y:-30, opacity:0, delay:0, ease:Power1.easeIn});					
						var tlMenu = new TimelineLite();
						$(".filters-timeline, .jssocials-share").each(function(index, element) {
							tlMenu.to(element, 0.25, {opacity:0, y:-60, delay:0.1, ease:Power1.easeIn }, index * 0.1)
						});	
						TweenMax.to('#ball', 0.1,{borderWidth: '4px', scale:0.5,});
						$("#ball").removeClass("close-icon");
						$('#ball i').remove();
						
					}							
				} , 20 );
			});
			
			
			$("#close-filters").mouseenter(function(e) {	
				TweenMax.to('#ball', 0.2,{borderWidth: '2px', scale: 1, borderColor:'#fff',});
				TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 2, left: 2});
				$( "#ball" ).addClass("close-icon").append( '<i class="fa fa-times"></i>' );
			});
				
			$("#close-filters").mouseleave(function(e) {
				TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
				TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
				$("#ball").removeClass("close-icon");
				$('#ball i').remove();
			});
			
			
			
			
			setTimeout( function(){
				var controller = new ScrollMagic.Controller();
				$('.portfolio').each(function(){
					var $this = $(this);
					var $thisHeightFilters = $(this).outerHeight() - window.innerHeight*0.7;
					var $thisHeightCaptions = $(this).outerHeight() - window.innerHeight * 0.1;
					
					var sceneFilters = new ScrollMagic.Scene({triggerElement:$this[0],duration: $thisHeightFilters})
						.addTo(controller)
						
					
					sceneFilters.triggerHook(0.3)
					
					sceneFilters.on('enter', function(){				
						TweenMax.to($("#show-filters"), 0.3, {opacity:1, delay:0, ease:Power2.easeOut});
						$("#show-filters").addClass('enabled')
					});
					
					sceneFilters.on('leave', function(){				
						TweenMax.to($("#show-filters"), 0.15, {opacity:0, delay:0, ease:Power2.easeOut});
						$("#show-filters").removeClass('enabled')
					});
					
					var sceneCaptions = new ScrollMagic.Scene({triggerElement:$this[0],duration: $thisHeightCaptions})
						.addTo(controller)
						
					
					sceneCaptions.triggerHook(0.5)
					
					sceneCaptions.on('enter', function(){
						$(".portfolio-captions").addClass('enabled')
					});
					
					sceneCaptions.on('leave', function(){
						$(".portfolio-captions").removeClass('enabled')
					});
					
					
					
					if ($("body").hasClass("smooth-scroll")) {
						scrollbar.addListener(() => {
							sceneFilters.refresh()
							sceneCaptions.refresh()
						});
					}
				})
			} , 2000 );
			
			TweenMax.to($("#show-filters"), 0, {opacity:0, delay:0.05, ease:Power2.easeOut});
			
			if ($(window).width() > 1024) {
			
				if( $('.hover-caption').length > 0 ){
					
					if ($(".portfolio-wrap").hasClass("hover-caption")) {
						if ($("#page-content").hasClass("light-content")) {
							$("body").append('<div class="temporary-hero portfolio-captions light-content"></div>');
						} else {
							$("body").append('<div class="temporary-hero portfolio-captions"></div>');
						}
						$(".temporary-hero").append('<div class="outer"></div>');
						$(".temporary-hero .outer").append('<div class="inner"></div>');
						$(".portfolio").find(".item .item-caption").each(function() {
							$(".temporary-hero .outer .inner").append($(this))
						}); 
						
						$(".portfolio").find(".item .item-image").on("mouseenter", function(e) {
							
							TweenMax.to($(".temporary-hero .outer .inner").children().children(".item-title").eq($(this).parents('.item').index()), 0.5, {force3D:true, opacity:1,  y: 0, delay:0.15, ease:Power2.easeOut});
							TweenMax.to($(".temporary-hero .outer .inner").children().children(".item-cat").eq($(this).parents('.item').index()), 0.3, {force3D:true, opacity:1,  y: 0, delay:0.25, ease:Power2.easeOut});
							
						}).on("mouseleave", function(e) {
							
							TweenMax.to($(".temporary-hero .outer .inner").children().children(".item-title").eq($(this).parents('.item').index()), 0.3, {force3D:true, opacity:0,  y: -50, ease:Power2.easeIn});
							TweenMax.to($(".temporary-hero .outer .inner").children().children(".item-cat").eq($(this).parents('.item').index()), 0.3, {force3D:true, opacity:0,  y: -30, delay:0.05, ease:Power2.easeIn});
							TweenMax.set($(".temporary-hero .outer .inner").children().children(".item-title").eq($(this).parents('.item').index()), { y: 50, opacity:0, delay:0.3});
							TweenMax.set($(".temporary-hero .outer .inner").children().children(".item-cat").eq($(this).parents('.item').index()), { y: 30, opacity:0, delay:0.35});
							
						}).on("click", function() {
							$(".temporary-hero").removeClass('enabled')
						});
						$(".item-title-hover").remove();
					}
						
				}
			
			}
			
			
		}
	
	}//End Portfolio
	
	
/*--------------------------------------------------
Function FitThumbScreen
---------------------------------------------------*/	
	
	function FitThumbScreen() {
		
		if( $('#itemsWrapper').length > 0 ){
		
			function createDemoEffect(options) {
			  const transitionEffect = new GridToFullscreenEffect(
				document.getElementById("app"),
				document.getElementById("itemsWrapper"),
				Object.assign(
				  {
					scrollContainer: window,
					onToFullscreenStart: ({ index }) => {},
					onToFullscreenFinish: ({ index }) => {},
					onToGridStart: ({ index }) => {},
					onToGridFinish: ({ index, lastIndex }) => {}
				  },
				  options
				)
			  );
			
			  return transitionEffect;
			}
	
			let currentIndex;
			const itemsWrapper = document.getElementById("itemsWrapper");
			const thumbs = [...itemsWrapper.querySelectorAll("img.grid__item-img:not(.grid__item-img--large)")];
			const transitionEffectDuration = 1.8;

			const transitionEffect = createDemoEffect({
				activation: { type: "closestCorner" },
				timing: {
					type: "sameEnd",
					sections: 0,
					duration: transitionEffectDuration
				},
				activation: {
					type: "mouse"
				},
				transformation: {
					type: "wavy",
					props: {
						seed: "217",
						frequency: 0.1,
						amplitude: 0.1
					}
				},
				onToFullscreenStart: ({ index }) => {
					currentIndex = index;
					thumbs[currentIndex].style.opacity = 1;
					
					
					TweenLite.to(itemsWrapper, .6, {
						ease: Power1.easeInOut,
						scale: 1,
						opacity:1,
						delay:0,
					});
					

					toggleFullview();
				},
				
				onToGridStart: ({ index }) => {
					TweenLite.to(itemsWrapper, 1, {
						ease: Power3.easeInOut,
						scale: 1,
						opacity: 1
					});

					toggleFullview();
				},
				
				onToGridFinish: ({ index, lastIndex }) => {
					thumbs[lastIndex].style.opacity = 1;
					
				},
				easings: {
					toFullscreen: Cubic.easeInOut,
					toGrid: Power3.easeInOut
				}
			});
			transitionEffect.init();
			
			if( $('#itemsWrapperLinks').length > 0 ){
				
				const itemsCaptions = document.getElementById("itemsWrapperLinks");
				const thumbsLink = [...itemsCaptions.querySelectorAll(".thumb-link")];
				for( let idxCaption = 0; idxCaption < thumbsLink.length; idxCaption++){
				
					thumbsLink[idxCaption].addEventListener( "mousedown", transitionEffect.createOnMouseDown( idxCaption ) );
				}
			}
			
			const toggleFullview = () => {
				if ( transitionEffect.isFullscreen ) {
					
					transitionEffect.toGrid();
				}
				else {
					
					
				}
			};

			// Preload all the images in the pageI
			imagesLoaded(document.querySelectorAll(".grid__item-img"), instance => {
				

				// Make Images sets for creating the textures.
				let images = [];
				for (var i = 0, imageSet = {}; i < instance.elements.length; i++) {
					let image = {
						element: instance.elements[i],
						image: instance.images[i].isLoaded ? instance.images[i].img : null
					};
					if (i % 2 === 0) {
						imageSet = {};
						imageSet.small = image;
					}

					if (i % 2 === 1) {
						imageSet.large = image;
						images.push(imageSet);
					}
				}
				transitionEffect.createTextures(images);
			});
		
		}
		
		$('.item .grid__item-img').on('click', function() {
			$(this).parents('.item').addClass('above');
			$("body").addClass("load-project-thumb").addClass("show-loader");
			TweenMax.to('.item, #show-filters, #counter-wrap, .marquee-wrapper, footer, .item-caption-wrapper', 0.5,{opacity:0, ease:Power4.easeInOut});
			TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999', backgroundColor:'transparent'});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
			$("#ball").removeClass("with-icon");
			$('#ball p').remove();
			$('#ball i').remove();						
			$(this).delay(1000).queue(function() {
				var link = $(".above").find('a');
				link.trigger('click');
			});		
		});
		
		
	}//End FitThumbScreen
	
	
	
/*--------------------------------------------------
Function Blog
---------------------------------------------------*/
	
	function Blog() {
		
		if ($("body").hasClass("smooth-scroll")) {
			var elem = document.querySelector("#content-scroll");
			var scrollbar = Scrollbar.init(elem,
			{
				renderByPixels: true,
				damping:0.05
			});
		}
		var controller = new ScrollMagic.Controller();
		
		$('.article-wrap').each(function(){
			var $this = $(this);
			var $thisHeight = $(this).height();
			
			var scene = new ScrollMagic.Scene({triggerElement:$this[0],duration: $thisHeight})
				.addTo(controller);
			
			scene.triggerHook(1)
			
			scene.on('enter', function(){				
				$this.addClass('active');
			});
			
			if ($("body").hasClass("smooth-scroll")) {
				scrollbar.addListener(() => {
					scene.refresh()
				});
			}
		})
		
		
		$(".article-img").mouseenter(function(e) {	
			TweenMax.to('#ball', 0.3,{borderWidth: '2px', scale: 1, borderColor:'#fff'});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 2, left: 2});
			$( "#ball" ).addClass("with-icon").append( '<i class="fa fa-plus"></i>' );
			$(this).parent().find('video').each(function() {
				$(this).get(0).play();
			});
		});
						
		$(".article-img").mouseleave(function(e) {
			TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999'});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
			$("#ball").removeClass("with-icon");
			$('#ball i').remove();
			$(this).parent().find('video').each(function() {
				$(this).get(0).pause();
			});
		});	
		
		
		$('#open-sidebar, #open-sidebar-nav, #black-fade').on('click', function() {
			$('#open-sidebar').toggleClass('open');
			$('#sidebar').toggleClass('open');
			$('#black-fade').toggleClass('fade-in');
		});
		
		$("#black-fade").mouseenter(function(e) {	
			TweenMax.to('#ball', 0.2,{borderWidth: '2px', scale: 1, borderColor:'#fff',});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 2, left: 2});
			$( "#ball" ).addClass("close-icon").append( '<i class="fa fa-times"></i>' );
		});
					
		$("#black-fade").mouseleave(function(e) {
			TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
			$("#ball").removeClass("close-icon");
			$('#ball i').remove();
		});
		
		$("#black-fade").on('click', function() {	
			TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
			$("#ball").removeClass("close-icon");
			$('#ball i').remove();
		});
		
		$( "select" ).wrap( "<div class='select hide-ball'></div>" );
		
		
		
	
	}//End Blog					

	

/*--------------------------------------------------
Function Shortcodes
---------------------------------------------------*/
	
	function Shortcodes() {

		// Accordion	  
		
		$('dd.accordion-content').slideUp(1).addClass('hide');		
		$('dl.accordion').on('click', 'dt', function() {
			$(this).addClass('accordion-active').next().slideDown(200).siblings('dd.accordion-content').slideUp(200).prev().removeClass('accordion-active');						
		});	
		$('dl.accordion').on('click', 'dt.accordion-active', function() {
			$(this).removeClass('accordion-active').siblings('dd.accordion-content').slideUp(200);
		});
		
		$(".flexnav").flexNav({ 'animationSpeed' : 250 });
		
		// Project Share	
		var social_links_share = ["facebook", "twitter", "pinterest"];
		if( (typeof ClapatCanelaThemeOptions != 'undefined') && ClapatCanelaThemeOptions.share_social_network_list ){
			
			// we assume the social networks string is comma separated
			social_links_share = ClapatCanelaThemeOptions.share_social_network_list.split(',');
		} 
		$("#share").jsSocials({
            showLabel: false,
    		showCount: false,
    		shares: social_links_share
        });
		
		$('.jssocials-share').wrap( "<div class='parallax-wrap'><div class='parallax-element'></div></div>" );
	
	}//End Shortcodes
	
	
/*--------------------------------------------------
Function Sliders
---------------------------------------------------*/
	
	function Sliders() {
		
		setTimeout( function(){
			
			if( $('.content-slider').length > 0 ){
			
				var interleaveOffset = 0.4;
				
				var ContentSliderOptions = {				
					direction: 'horizontal',
					loop: true,
					slidesPerView: 1,
					paginationClickable: true,
					spaceBetween: 0,
					mousewheelControl: false,
					simulateTouch: false,
					speed: 1000,
					navigation: {
						nextEl: '.slider-button-next',
						prevEl: '.slider-button-prev',
					},
					on: {
						progress: function() {
							var swiper = this;
							for (var i = 0; i < swiper.slides.length; i++) {
								var slideProgress = swiper.slides[i].progress;
								var innerOffset = swiper.height * interleaveOffset;
								var innerTranslate = slideProgress * innerOffset;
								swiper.slides[i].querySelector("img").style.transform = "translate3d(" + innerTranslate + "px,0, 0)";
							}
						  
						},
						touchStart: function() {
							var swiper = this;
							for (var i = 0; i < swiper.slides.length; i++) {
								swiper.slides[i].style.transition = "";
							}
						},
						setTransition: function(speed) {
							var swiper = this;
							for (var i = 0; i < swiper.slides.length; i++) {
								swiper.slides[i].style.transition = speed + "ms";
								swiper.slides[i].querySelector("img").style.transition = speed + "ms";
							}   
						}
					}
			
				}
				
				var swiper = new Swiper(".content-slider", ContentSliderOptions);
				
				$(".slider-button-prev").mouseenter(function(e) {	
					TweenMax.to('#ball', 0.2,{borderWidth: '2px', scale: 1, borderColor:'#fff',});
					TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 2, left: 2});
					$( "#ball" ).addClass("with-icon").append( '<i class="fa fa-chevron-left"></i>' );
				});
					
				$(".slider-button-prev").mouseleave(function(e) {
					TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
					TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
					$("#ball").removeClass("with-icon");
					$('#ball i').remove();
				});
				
				$(".slider-button-next").mouseenter(function(e) {	
					TweenMax.to('#ball', 0.2,{borderWidth: '2px', scale: 1, borderColor:'#fff',});
					TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 2, left: 2});
					$( "#ball" ).addClass("with-icon").append( '<i class="fa fa-chevron-right"></i>' );
				});
					
				$(".slider-button-next").mouseleave(function(e) {
					TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
					TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
					$("#ball").removeClass("with-icon");
					$('#ball i').remove();
				});
				
			}
			
			
			if( $('.content-carousel').length > 0 ){
			
				var ContentCarouselOptions = {			
					direction: 'horizontal',
					simulateTouch: true,
					slidesPerView: 'auto',
					spaceBetween: 0,
					mousewheelControl: false,
					speed: 700,			
				}
				
				var swiper = new Swiper(".content-carousel", ContentCarouselOptions);
				
				$('.content-carousel').on('mousedown touchstart', function(event) {
					TweenMax.to('.swiper-slide img', 0.7,{scale: 0.9});
					$("body").addClass("drag-cursor");
				});
				
				$('body').on('mouseup touchend', function(event) {
					TweenMax.to('.swiper-slide img', 0.7,{scale:1});
					$("body").removeClass("drag-cursor");
				});
				
				$('.content-carousel').on('mouseenter mousemove', function() {	
					TweenMax.to('#ball', 0.2,{borderWidth: '2px', scale: 1, borderColor:'#fff',});
					$("body" ).addClass("scale-drag-x");
				});
					
				$('.content-carousel').on('mouseleave', function() {
					TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
					$("body").removeClass("scale-drag-x");	
				});
				
				$("body").mouseleave(function(e) {
					TweenMax.to('.swiper-slide img', 0.7,{scale:1});
					$("body").removeClass("scale-drag-x").removeClass("drag-cursor");
				});
			
			}
			
			
			if( $('.content-looped-carousel').length > 0 ){
			
				var ContentLoopedCarouselOptions = {			
					direction: 'horizontal',
					simulateTouch: true,
					slidesPerView: 3,
					spaceBetween: 100,
					breakpoints: {
						// when window width is >= 320px
						320: {
						  slidesPerView: 1,
						  spaceBetween: 20
						},
						// when window width is >= 480px
						480: {
						  slidesPerView: 2,
						  spaceBetween: 30
						},
						// when window width is >= 640px
						640: {
						  slidesPerView: 3,
						  spaceBetween: 40
						}
					  },
					centeredSlides: true,
					loop:true,
					mousewheelControl: false,
					speed: 700,			
				}
				
				var swiper = new Swiper(".content-looped-carousel", ContentLoopedCarouselOptions);
				
				$('.content-looped-carousel').on('mousedown touchstart', function(event) {
					TweenMax.to('.swiper-slide img', 0.7,{scale: 0.9});
					$("body").addClass("drag-cursor");
				});
				
				$('body').on('mouseup touchend', function(event) {
					TweenMax.to('.swiper-slide img', 0.7,{scale:1});
					$("body").removeClass("drag-cursor");
				});
				
				$('.content-looped-carousel').on('mouseenter mousemove', function() {	
					TweenMax.to('#ball', 0.2,{borderWidth: '2px', scale: 1, borderColor:'#fff',});
					$("body" ).addClass("scale-drag-x");
				});
					
				$('.content-looped-carousel').on('mouseleave', function() {
					TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
					$("body").removeClass("scale-drag-x").removeClass("drag-cursor");
				});
				
				$("body").mouseleave(function(e) {
					TweenMax.to('.swiper-slide img', 0.7,{scale:1});
					$("body").removeClass("scale-drag-x").removeClass("drag-cursor");
				});
			
			}
		
		} , 400 );
		
	}//End Sliders	
	
	
/*--------------------------------------------------
Function Justified Grid
---------------------------------------------------*/	
	
	function JustifiedGrid() {
		
		if( $('#justified-grid').length > 0 ){
		
			$('#justified-grid').justifiedGallery({
				rowHeight : 300,
				lastRow : 'nojustify',
				margins : 10
			});
		
		}
		
	}//End Justified Grid	
	
	
/*--------------------------------------------------
Function Lightbox
---------------------------------------------------*/
	
	function Lightbox() {
		
		$('.image-link').magnificPopup({
		  	type: 'image',
			mainClass: 'mfp-with-zoom',	
			gallery: {
			  enabled:true
			},		
			zoom: {
				enabled: true, 			
				duration: 300, 
				easing: 'ease-in-out', 
				opener: function(openerElement) {
					return openerElement.is('img') ? openerElement : openerElement.find('img');
				}
			}			
		});
		
		$(".image-link").mouseenter(function(e) {	
			TweenMax.to('#ball', 0.2,{borderWidth: '2px', scale: 1, borderColor:'#fff',});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 2, left: 2});
			$( "#ball" ).addClass("with-icon").append( '<i class="fa fa-plus"></i>' );
		});
			
		$(".image-link").mouseleave(function(e) {
			TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
			$("#ball").removeClass("with-icon");
			$('#ball i').remove();
		});
			
	}//End Lightbox	
	
	
/*--------------------------------------------------
Function Page PlayVideo
---------------------------------------------------*/	


	function PlayVideo() {
	
		if( $('.video-wrapper').length > 0 ){
			
			
			$(".video-wrapper").mouseenter(function(e) {
				if ($(this).hasClass("play")) {
					$( "#ball" ).addClass("pause-movie")		
				}
				TweenMax.to('#ball', 0.2,{borderWidth: '2px', scale: 1, borderColor:'#fff',});
				$( "#ball" ).addClass("over-movie").append( '<i class="fa fa-play"></i><i class="fa fa-pause"></i>' );
			});
			
			$(".video-wrapper").mouseleave(function(e) {
				TweenMax.to('#ball', 0.2,{borderWidth: '4px', scale:0.5, borderColor:'#999999',});
				$("#ball").removeClass("over-movie").removeClass("pause-movie");
				$('#ball i').remove();
			});
			
			$(".video-wrapper .control").mouseenter(function(e) {	
				TweenMax.to('#ball', 0.2,{borderWidth: '20px', scale: 0});
			});
			
			$(".video-wrapper .control").mouseleave(function(e) {
				TweenMax.to('#ball', 0.2,{borderWidth: '2px', scale: 1, borderColor:'#fff',});
			});
			
			var videocenter = ($(window).height() - $('.video-cover').height()) / 2
					
			////////////////////////////////////////////////////// REFACTOR //////////////////////////////////////////////////////
			// plays or pause the video function of its current state
			var playpause = function( videoObj ) {
				
				if( videoObj[0] != null ){
					if(videoObj[0].paused || videoObj[0].ended) {
						
						videoObj.parent().addClass('play');
						videoObj[0].play();
					}
					else {
						
						videoObj.parent().removeClass('play');
						videoObj[0].pause();
					}
				}
			};
			
			//Time format converter - 00:00
			var timeFormat = function(seconds){
				var m = Math.floor(seconds/60)<10 ? "0"+Math.floor(seconds/60) : Math.floor(seconds/60);
				var s = Math.floor(seconds-(m*60))<10 ? "0"+Math.floor(seconds-(m*60)) : Math.floor(seconds-(m*60));
				return m+":"+s;
			};
			
			// Events
			// click to video cover - will start the video
			$('.video-wrapper').on('click', function() {
				
				$('html,body').animate({scrollTop: $(this).offset().top - videocenter},390);		
				// hide the video cover in order to start playing
				$(this).find('.video-cover').addClass('hidden');
				
				$( "#ball" ).toggleClass("pause-movie");
				
				// pause first the other videos
				var current_wrapper = $(this);
				$('#main-page-content').find('.video-wrapper').each(function() {
					
					if( !current_wrapper.is( $(this) ) ){
						
						$(this).removeClass('play');
						$(this).find('video').each(function() {
							
							if( !$(this).get(0).paused && !$(this).get(0).ended ) {
								
								$(this).get(0).pause();
							}
						});
					}
					
				});
				
				// trigger the click for the inner video
				$(this).find('video').each(function() {

					playpause( $(this) );
				});

			});
			
			//fullscreen button clicked
			$('.btnFS').on('click', function( e ) {
					
				var parent_wrapper	= $(this).closest('.video-wrapper');
				var video_object 		= parent_wrapper.find('video');
					
				if($.isFunction(video_object[0].webkitEnterFullscreen)) {
					video_object[0].webkitEnterFullscreen();
				}	
				else if ($.isFunction(video_object[0].mozRequestFullScreen)) {
					video_object[0].mozRequestFullScreen();
				}
				else {
					alert('Your browsers doesn\'t support fullscreen');
				}
				
				// prevent video wrapper div responding the event
				e.stopPropagation();
				
			});
				
			//sound button clicked
			$('.sound').on('click', function( e ) {
					
				var parent_wrapper	= $(this).closest('.video-wrapper');
				var video_object 		= parent_wrapper.find('video');
					
				video_object[0].muted = !video_object[0].muted;
				$(this).toggleClass('muted');
				if(video_object[0].muted) {
					parent_wrapper.find('.volumeBar').css('width',0);
				}
				else{
					parent_wrapper.find('.volumeBar').css('width', video_object[0].volume*100+'%');
				}
				
				// prevent video wrapper div responding the event
				e.stopPropagation();
			});
			
			//progress bar (video timebar) clicked
			$('.progress').on('click', function( e ) {
				
				var parent_wrapper	= $(this).closest('.video-wrapper');
				var video_object 		= parent_wrapper.find('video');
									
				// calculate click position
				// and update video current time
				// as well as progress bar
				var maxduration 	= video_object[0].duration;
				var position 			= e.pageX - $(this).offset().left;
				var percentage 	= 100 * position / $(this).width();
				if(percentage > 100) {
					
					percentage = 100;
				}
				if(percentage < 0) {
					
					percentage = 0;
				}
				$('.timeBar').css('width', percentage+'%');	
				video_object[0].currentTime = maxduration * percentage / 100;
				
				// prevent video wrapper div responding the event
				e.stopPropagation();
			});
			
			$('#main-page-content').find('video').each(function() {
			
				var video = $(this);
				var video_wrapper = $(this).parent();
				
				//remove default control when JS loaded
				video[0].removeAttribute("controls");
				video_wrapper.find('.control').fadeIn(500);
				video_wrapper.find('.caption').fadeIn(500);
			 
				//before everything get started and we have the info about the video such as duration
				video.on('loadedmetadata', function() {
					
					var video_object = $(this);
					var parent_wrapper = $(this).parent();
					//set video properties
					parent_wrapper.find('.current').text(timeFormat(0));
					parent_wrapper.find('.duration').text(timeFormat(video[0].duration));
					
				});
				
				//display current video buffered progress
				video.on('progress', function() {
					
					var video_object 		= $(this);
					var parent_wrapper 	= $(this).parent();
					var maxduration 		= video_object [0].duration;
					
					if (maxduration > 0) {
					  for (var i = 0; i < video_object [0].buffered.length; i++) {
							if (video_object [0].buffered.start(video_object [0].buffered.length - 1 - i) <video_object [0].currentTime) {
								var perc = (video_object [0].buffered.end(video_object [0].buffered.length - 1 - i) / maxduration) * 100 + "%";
								parent_wrapper.find('.bufferBar').css('width',perc+'%');
								break;
							}
						}
					}
					
				});
				
				//display current video play time
				video.on('timeupdate', function() {
					
					var parent_wrapper 	= $(this).parent();
					var currentPos 			= $(this).get(0).currentTime;
					var maxduration 		= $(this).get(0).duration;
					var perc 					= 100 * currentPos / maxduration;
					parent_wrapper.find('.timeBar').css('width',perc+'%');	
					parent_wrapper.find('.current').text(timeFormat(currentPos));	
				});
				
				//video screen and play button clicked
				video.on('click', function() { 
					
					playpause( $(this) ); 
				});
				
				//video canplay event
				video.on('canplay', function() {
					
					var parent_wrapper = $(this).parent();
					parent_wrapper.find('.loading').fadeOut(100); //?
				});
				
				//video canplaythrough event
				//solve Chrome cache issue
				var completeloaded = false;
				video.on('canplaythrough', function() {
					
					completeloaded = true;
				});
				
				//video ended event
				video.on('ended', function() {		
					
					$(this).get(0).pause();
					$(this).parent().removeClass("play");
					$( "#ball" ).toggleClass("pause-movie");
				});
			
				//video seeking event
				video.on('seeking', function() {
					
					//if video fully loaded, ignore loading screen
					if(!completeloaded) { 
						var parent_wrapper = $(this).parent();
						parent_wrapper.find('.loading').fadeIn(200); //?
					}	
				});
				
				//video seeked event
				video.on('seeked', function() { });
				
				//video waiting for more data event
				video.on('waiting', function() {
					
					var parent_wrapper = $(this).parent();
					parent_wrapper.find('.loading').fadeIn(200); //?
				});
				
			});
			
		}
		
	}// End PlayVideo
	
	
	
	
/*--------------------------------------------------
Function Ajax Load
---------------------------------------------------*/


	function AjaxLoad() {		
		
		var mouse = { x: 0, y: 0 };
		var pos = { x: 0, y: 0 };
		var ratio = 0.65;			
		var active = false;			
		var ball = document.getElementById("ball");
		var ballloader = document.getElementById("ball-loader");
		var offsetX = 40;
		
		
		TweenLite.set(ball, { xPercent: -50, yPercent: -50, scale:0.5, borderWidth: '4px' });
		
		document.addEventListener("mousemove", mouseMove);
		
		function mouseMove(e) {
			var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
			mouse.x = e.pageX;
			mouse.y = e.pageY - scrollTop;
		}
		
		TweenLite.ticker.addEventListener("tick", updatePosition);
		
		function updatePosition() {
			if (!active) {
				pos.x += (mouse.x - pos.x) * ratio;
				pos.y += (mouse.y - pos.y) * ratio;
		
				TweenLite.to(ball, 0.4, { x: pos.x, y: pos.y });
			}
		}
		
		$(".sticky.left").mouseenter(function(e) {
			var rcBounds = $(this)[0].getBoundingClientRect();		  
			var positionX = rcBounds.left - offsetX;
			var positionY = rcBounds.top + rcBounds.height/2;		  
			TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale: 0.9, borderWidth: '2px'});
			TweenMax.ticker.removeEventListener("tick", updatePosition);
		})
		
		$(".sticky.right").mouseenter(function(e) {
			var rcBounds = $(this)[0].getBoundingClientRect();		  
			var positionX = rcBounds.right + offsetX;
			var positionY = rcBounds.top + rcBounds.height/2;		  
			TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale: 0.9, borderWidth: '2px'});
			TweenMax.ticker.removeEventListener("tick", updatePosition);
		})
		
		$("#main .sticky.left").mouseenter(function(e) {		  
			var rcBounds = $(this)[0].getBoundingClientRect();		  
			var positionX = rcBounds.left - offsetX + 10;
			var positionY = rcBounds.top + rcBounds.height/2;		  
			TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale:0.7, opacity:0.6, borderWidth: '6px', borderColor:'#999999'});
			TweenMax.ticker.removeEventListener("tick", updatePosition);
		})
		
		$("#main .sticky.right").mouseenter(function(e) {		  
			var rcBounds = $(this)[0].getBoundingClientRect();		  
			var positionX = rcBounds.right + offsetX - 10;
			var positionY = rcBounds.top + rcBounds.height/2;		  
			TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale:0.7, opacity:0.6, borderWidth: '6px', borderColor:'#999999'});
			TweenMax.ticker.removeEventListener("tick", updatePosition);
		})
		
		$(".sticky").mouseleave(function(e) {			
			TweenLite.to(ball, 0.2, { scale:0.5, borderWidth: '4px', borderColor:'#999999', opacity:1 });
			TweenMax.ticker.addEventListener("tick", updatePosition);		  
		})
		
		$(".sticky-titles .slide-title").mouseenter(function(e) {		  
			var rcBounds = $(this)[0].getBoundingClientRect();		  
			var positionX = rcBounds.right + offsetX + 10;
			var positionY = rcBounds.top + rcBounds.height - 30;		  
			TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale:0.7, opacity:1, borderWidth: '6px', borderColor:$("body").data('cursor-color')});
			TweenMax.ticker.removeEventListener("tick", updatePosition);
		})
		
		$(".sticky-titles .slide-title").mouseleave(function(e) {			
			TweenLite.to(ball, 0.2, { scale:0.5, borderWidth: '4px', borderColor:'#999999', opacity:1 });
			TweenMax.ticker.addEventListener("tick", updatePosition);		  
		})		
		
		$(".parallax-wrap").mouseenter(function(e) {
			TweenMax.to(this, 0.3, { scale: 2 });
			TweenMax.to(ball, 0.3, { scale: 0.9, borderWidth: '2px',opacity:1 });
			TweenMax.to($( this ).children(), 0.3,{scale:0.5});
			active = true;
		});
		
		$("#main .parallax-wrap.icon-wrap").mouseenter(function(e) {
			TweenMax.to(ball, 0.3, { scale: 0.7, borderWidth: '6px', opacity:0.6, borderColor:'#999' });
		});
		
		$(".parallax-wrap.bigger").mouseenter(function(e) {
			TweenMax.to(ball, 0.3, { scale: 1.35, borderWidth: '2px', opacity:1 });
		});
		
		$(".parallax-wrap").mouseleave(function(e) {
			TweenMax.to(this, 0.3, { scale: 1 });
			TweenMax.to(ball, 0.3, { scale: 0.5, borderWidth: '4px', opacity:1, borderColor:'#999999'  });
			TweenMax.to($( this ).children(), 0.3,{scale:1, x: 0, y:0});
			active = false;
		});		
		
		if ($('#magic-cursor').hasClass("light-content")) {
			$(".sticky").mouseenter(function(e) {
			  TweenLite.to(ball, 0.5, { borderColor:$("body").data('cursor-hover-color') });
			})
			$("#main .sticky").mouseenter(function(e) {
			  TweenLite.to(ball, 0.5, { borderColor:'#999' });
			})
			$("#main .sticky-titles .slide-title").mouseenter(function(e) {
			  TweenLite.to(ball, 0.5, { borderColor:$("body").data('cursor-hover-color') });
			})
			$(".parallax-wrap").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:$("body").data('cursor-hover-color')  });
			});
			$(".parallax-wrap.bigger").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#fff'  });
			});
			$(".white-section .parallax-wrap.bigger").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#000'  });
			});
			$("#main .parallax-wrap.icon-wrap").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#999'});
			});
		} else {
			$(".sticky").mouseenter(function(e) {
			  TweenLite.to(ball, 0.5, { borderColor:$("body").data('cursor-hover-color') });
			})
			$("#main .sticky").mouseenter(function(e) {
			  TweenLite.to(ball, 0.5, { borderColor:'#999' });
			})
			$("#main .sticky-titles .slide-title").mouseenter(function(e) {
			  TweenLite.to(ball, 0.5, { borderColor:$("body").data('cursor-hover-color') });
			})
			$(".parallax-wrap").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:$("body").data('cursor-hover-color')  });
			});
			$(".parallax-wrap.bigger").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#000'  });
			});
			$("#main .parallax-wrap.icon-wrap").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#999'});
			});
		}
		
		$(".parallax-wrap").mousemove(function(e) {
			parallaxCursor(e, this, 2);
			callParallax(e, this);
		});
		
		function callParallax(e, parent) {
			parallaxIt(e, parent, parent.querySelector(".parallax-element"), 20);
		}
		
		function parallaxIt(e, parent, target, movement) {
			var boundingRect = parent.getBoundingClientRect();
			var relX = e.pageX - boundingRect.left;
			var relY = e.pageY - boundingRect.top;
			var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
			
			TweenMax.to(target, 0.3, {
				x: (relX - boundingRect.width / 2) / boundingRect.width * movement,
				y: (relY - boundingRect.height / 2 - scrollTop) / boundingRect.height * movement,
				ease: Power2.easeOut
			});
		}
		
		function parallaxCursor(e, parent, movement) {
			var rect = parent.getBoundingClientRect();
			var relX = e.pageX - rect.left;
			var relY = e.pageY - rect.top;
			var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
			pos.x = rect.left + rect.width / 2 + (relX - rect.width / 2) / movement;
			pos.y = rect.top + rect.height / 2  + (relY - rect.height / 2 - scrollTop)  / movement ;
			TweenMax.to(ball, 0.3, { x: pos.x, y: pos.y });
		}
		
		$(".hide-ball").mouseenter(function(e) {	
			TweenMax.to('#ball', 0.2,{borderWidth: '1px', scale: 1, opacity:0});
		});			
		$(".hide-ball").mouseleave(function(e) {
			TweenMax.to('#ball', 0.3,{borderWidth: '4px', scale:0.5, opacity:1});
		});
		
		$(".link").mouseenter(function(e) {	
			TweenMax.to('#ball', 0.2,{borderWidth:"0px",scale:1.5,backgroundColor:"rgba(153, 153, 153, 1)",opacity:0.15});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 4, left: 4});
		});			
		$(".link").mouseleave(function(e) {
			TweenMax.to('#ball', 0.3,{borderWidth:"4px",scale:0.5,backgroundColor:"rgba(153, 153, 153, 0)",opacity:1});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
		});
		
		
		
		
		
		jQuery(document).ready(function(){
			  var isAnimating = false,
				newLocation = '';
				firstLoad = false;
			  
			  //trigger smooth transition from the actual page to the new one 
			  $('main').on('click', '[data-type="page-transition"]', function(event){
				event.preventDefault();
				//detect which page has been selected
				var newPage = $(this).attr('href');
				//if the page is not already being animated - trigger animation
				if( !isAnimating ) changePage(newPage, true);
				firstLoad = true;
			  });
			
			  //detect the 'popstate' event - e.g. user clicking the back button
			  $(window).on('popstate', function() {
				if( firstLoad ) {
				  /*
				  Safari emits a popstate event on page load - check if firstLoad is true before animating
				  if it's false - the page has just been loaded
				  */
				  var newPage = location.href;

				  if( !isAnimating  &&  newLocation != newPage ) changePage(newPage, false);
				}
				firstLoad = true;
				});
			
				function changePage(url, bool) {
				isAnimating = true;
				// trigger page animation
				$('body').addClass('page-is-changing');
				$('.cd-cover-layer').one('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend', function(){
					loadNewContent(url, bool);
				  newLocation = url;
				  $('.cd-cover-layer').off('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend');
				});
				//if browser doesn't support CSS transitions
				if( !transitionsSupported() ) {
				  loadNewContent(url, bool);
				  newLocation = url;
				}
				}
			
				function loadNewContent(url, bool) {
					url = ('' == url) ? 'index.html' : url;
				
				var section = $('<div class="cd-main-content "></div>');
						
					
				section.load(url+' .cd-main-content > *', function(event){
				  // load new content and replace <main> content with the new one
				  
				  	$('main').html(section);
				  
				 	var clapat_title = event.match(/<title[^>]*>([^<]+)<\/title>/)[1];
					$('head title').html( clapat_title );
				  
					
					$('html, body').scrollTop(0);
				  
				  //if browser doesn't support CSS transitions - dont wait for the end of transitions
				  var delay = ( transitionsSupported() ) ? 30 : 0;
				  setTimeout(function(){
					//wait for the end of the transition on the loading bar before revealing the new content				
					$('body').removeClass('page-is-changing');
					$('.cd-cover-layer').one('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend', function(){
					  isAnimating = false;
					  $('.cd-cover-layer').off('webkitTransitionEnd otransitionend oTransitionEnd msTransitionEnd transitionend');
					})
				
				LoadViaAjax();
				
				
				
				$(".sticky.left").mouseenter(function(e) {
					var rcBounds = $(this)[0].getBoundingClientRect();		  
					var positionX = rcBounds.left - offsetX;
					var positionY = rcBounds.top + rcBounds.height/2;		  
					TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale: 0.9, borderWidth: '2px'});
					TweenMax.ticker.removeEventListener("tick", updatePosition);
				})
				
				$(".sticky.right").mouseenter(function(e) {
					var rcBounds = $(this)[0].getBoundingClientRect();		  
					var positionX = rcBounds.right + offsetX;
					var positionY = rcBounds.top + rcBounds.height/2;		  
					TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale: 0.9, borderWidth: '2px'});
					TweenMax.ticker.removeEventListener("tick", updatePosition);
				})
				
				$("#main .sticky.left").mouseenter(function(e) {		  
					var rcBounds = $(this)[0].getBoundingClientRect();		  
					var positionX = rcBounds.left - offsetX + 10;
					var positionY = rcBounds.top + rcBounds.height/2;		  
					TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale:0.7, opacity:0.6, borderWidth: '6px', borderColor:'#999999'});
					TweenMax.ticker.removeEventListener("tick", updatePosition);
				})
				
				$("#main .sticky.right").mouseenter(function(e) {		  
					var rcBounds = $(this)[0].getBoundingClientRect();		  
					var positionX = rcBounds.right + offsetX - 10;
					var positionY = rcBounds.top + rcBounds.height/2;		  
					TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale:0.7, opacity:0.6, borderWidth: '6px', borderColor:'#999999'});
					TweenMax.ticker.removeEventListener("tick", updatePosition);
				})
				
				$(".sticky").mouseleave(function(e) {			
					TweenLite.to(ball, 0.2, { scale:0.5, borderWidth: '4px', borderColor:'#999999', opacity:1 });
					TweenMax.ticker.addEventListener("tick", updatePosition);		  
				})
				
				$(".sticky-titles .slide-title").mouseenter(function(e) {		  
					var rcBounds = $(this)[0].getBoundingClientRect();		  
					var positionX = rcBounds.right + offsetX + 10;
					var positionY = rcBounds.top + rcBounds.height - 30;		  
					TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale:0.7, opacity:1, borderWidth: '6px', borderColor:$("body").data('cursor-color')});
					TweenMax.ticker.removeEventListener("tick", updatePosition);
				})
				
				$(".sticky-titles .slide-title").mouseleave(function(e) {			
					TweenLite.to(ball, 0.2, { scale:0.5, borderWidth: '4px', borderColor:'#999999', opacity:1 });
					TweenMax.ticker.addEventListener("tick", updatePosition);		  
				})		
				
				$(".parallax-wrap").mouseenter(function(e) {
					TweenMax.to(this, 0.3, { scale: 2 });
					TweenMax.to(ball, 0.3, { scale: 0.9, borderWidth: '2px',opacity:1 });
					TweenMax.to($( this ).children(), 0.3,{scale:0.5});
					active = true;
				});
				
				$("#main .parallax-wrap.icon-wrap").mouseenter(function(e) {
					TweenMax.to(ball, 0.3, { scale: 0.7, borderWidth: '6px', opacity:0.6, borderColor:'#999' });
				});
				
				$(".parallax-wrap.bigger").mouseenter(function(e) {
					TweenMax.to(ball, 0.3, { scale: 1.35, borderWidth: '2px', opacity:1 });
				});
				
				$(".parallax-wrap").mouseleave(function(e) {
					TweenMax.to(this, 0.3, { scale: 1 });
					TweenMax.to(ball, 0.3, { scale: 0.5, borderWidth: '4px', opacity:1, borderColor:'#999999'  });
					TweenMax.to($( this ).children(), 0.3,{scale:1, x: 0, y:0});
					active = false;
				});		
				
				if ($('#magic-cursor').hasClass("light-content")) {
					$(".sticky").mouseenter(function(e) {
					  TweenLite.to(ball, 0.5, { borderColor:$("body").data('cursor-hover-color') });
					})
					$("#main .sticky").mouseenter(function(e) {
					  TweenLite.to(ball, 0.5, { borderColor:'#999' });
					})
					$("#main .sticky-titles .slide-title").mouseenter(function(e) {
					  TweenLite.to(ball, 0.5, { borderColor:$("body").data('cursor-hover-color') });
					})
					$(".parallax-wrap").mouseenter(function(e) {
						TweenMax.to(ball, 0.3, { borderColor:$("body").data('cursor-hover-color')  });
					});
					$(".parallax-wrap.bigger").mouseenter(function(e) {
						TweenMax.to(ball, 0.3, { borderColor:'#fff'  });
					});
					$(".white-section .parallax-wrap.bigger").mouseenter(function(e) {
						TweenMax.to(ball, 0.3, { borderColor:'#000'  });
					});
					$("#main .parallax-wrap.icon-wrap").mouseenter(function(e) {
						TweenMax.to(ball, 0.3, { borderColor:'#999'});
					});
				} else {
					$(".sticky").mouseenter(function(e) {
					  TweenLite.to(ball, 0.5, { borderColor:$("body").data('cursor-hover-color') });
					})
					$("#main .sticky").mouseenter(function(e) {
					  TweenLite.to(ball, 0.5, { borderColor:'#999' });
					})
					$("#main .sticky-titles .slide-title").mouseenter(function(e) {
					  TweenLite.to(ball, 0.5, { borderColor:$("body").data('cursor-hover-color') });
					})
					$(".parallax-wrap").mouseenter(function(e) {
						TweenMax.to(ball, 0.3, { borderColor:$("body").data('cursor-hover-color')  });
					});
					$(".parallax-wrap.bigger").mouseenter(function(e) {
						TweenMax.to(ball, 0.3, { borderColor:'#000'  });
					});
					$("#main .parallax-wrap.icon-wrap").mouseenter(function(e) {
						TweenMax.to(ball, 0.3, { borderColor:'#999'});
					});
				}
				
				$(".parallax-wrap").mousemove(function(e) {
					parallaxCursor(e, this, 2);
					callParallax(e, this);
				});
				
				function callParallax(e, parent) {
					parallaxIt(e, parent, parent.querySelector(".parallax-element"), 20);
				}
				
				function parallaxIt(e, parent, target, movement) {
					var boundingRect = parent.getBoundingClientRect();
					var relX = e.pageX - boundingRect.left;
					var relY = e.pageY - boundingRect.top;
					var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
					
					TweenMax.to(target, 0.3, {
						x: (relX - boundingRect.width / 2) / boundingRect.width * movement,
						y: (relY - boundingRect.height / 2 - scrollTop) / boundingRect.height * movement,
						ease: Power2.easeOut
					});
				}
				
				function parallaxCursor(e, parent, movement) {
					var rect = parent.getBoundingClientRect();
					var relX = e.pageX - rect.left;
					var relY = e.pageY - rect.top;
					var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
					pos.x = rect.left + rect.width / 2 + (relX - rect.width / 2) / movement;
					pos.y = rect.top + rect.height / 2  + (relY - rect.height / 2 - scrollTop)  / movement ;
					TweenMax.to(ball, 0.3, { x: pos.x, y: pos.y });
				}
				
				$(".hide-ball").mouseenter(function(e) {	
					TweenMax.to('#ball', 0.2,{borderWidth: '1px', scale: 1, opacity:0});
				});			
				$(".hide-ball").mouseleave(function(e) {
					TweenMax.to('#ball', 0.3,{borderWidth: '4px', scale:0.5, opacity:1});
				});
				
				$(".link").mouseenter(function(e) {	
					TweenMax.to('#ball', 0.2,{borderWidth:"0px",scale:1.5,backgroundColor:"rgba(153, 153, 153, 1)",opacity:0.15});
					TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 4, left: 4});
				});			
				$(".link").mouseleave(function(e) {
					TweenMax.to('#ball', 0.3,{borderWidth:"4px",scale:0.5,backgroundColor:"rgba(153, 153, 153, 0)",opacity:1});
					TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
				});
				
				
				
				
				if( !transitionsSupported() ) isAnimating = false;
				  }, delay);			  
				  if(url!=window.location && bool){
					window.history.pushState({path: url},'',url);
				  }
					});
			  }
			
			  function transitionsSupported() {
				return $('html').hasClass('csstransitions');
			  }
			});
			
		
	}// End Ajax Load	
		

	
/*--------------------------------------------------
Function Load Via Ajax
---------------------------------------------------*/	
		
	function LoadViaAjax() {		
		
		FirstLoad();
		ScrollEffects();
		Showcase();
		ShowcaseWebgl();
		QuickMenu();
		LazyLoad();				
		Portfolio();
		Blog();
		FitThumbScreen();	
		Shortcodes();
		Sliders();
		JustifiedGrid();
		Lightbox();
		PlayVideo();
		InitContactMap();
	
	}//End Load Via Ajax
	
/*--------------------------------------------------
Function Page Load No Ajax
---------------------------------------------------*/
	function PageLoadNoAjax() {
		
		var mouse = { x: 0, y: 0 };
		var pos = { x: 0, y: 0 };
		var ratio = 0.65;			
		var active = false;			
		var ball = document.getElementById("ball");
		var ballloader = document.getElementById("ball-loader");
		var offsetX = 40;
		
		
		TweenLite.set(ball, { xPercent: -50, yPercent: -50, scale:0.5, borderWidth: '4px' });
		
		document.addEventListener("mousemove", mouseMove);
		
		function mouseMove(e) {
			var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
			mouse.x = e.pageX;
			mouse.y = e.pageY - scrollTop;
		}
		
		TweenLite.ticker.addEventListener("tick", updatePosition);
		
		function updatePosition() {
			if (!active) {
				pos.x += (mouse.x - pos.x) * ratio;
				pos.y += (mouse.y - pos.y) * ratio;
		
				TweenLite.to(ball, 0.4, { x: pos.x, y: pos.y });
			}
		}
		
		$(".sticky.left").mouseenter(function(e) {
			var rcBounds = $(this)[0].getBoundingClientRect();		  
			var positionX = rcBounds.left - offsetX;
			var positionY = rcBounds.top + rcBounds.height/2;		  
			TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale: 0.9, borderWidth: '2px'});
			TweenMax.ticker.removeEventListener("tick", updatePosition);
		})
		
		$(".sticky.right").mouseenter(function(e) {
			var rcBounds = $(this)[0].getBoundingClientRect();		  
			var positionX = rcBounds.right + offsetX;
			var positionY = rcBounds.top + rcBounds.height/2;		  
			TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale: 0.9, borderWidth: '2px'});
			TweenMax.ticker.removeEventListener("tick", updatePosition);
		})
		
		$("#main .sticky.left").mouseenter(function(e) {		  
			var rcBounds = $(this)[0].getBoundingClientRect();		  
			var positionX = rcBounds.left - offsetX + 10;
			var positionY = rcBounds.top + rcBounds.height/2;		  
			TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale:0.7, opacity:0.6, borderWidth: '6px', borderColor:'#999999'});
			TweenMax.ticker.removeEventListener("tick", updatePosition);
		})
		
		$("#main .sticky.right").mouseenter(function(e) {		  
			var rcBounds = $(this)[0].getBoundingClientRect();		  
			var positionX = rcBounds.right + offsetX - 10;
			var positionY = rcBounds.top + rcBounds.height/2;		  
			TweenLite.to(ball, 0.5, { x: positionX, y: positionY, scale:0.7, opacity:0.6, borderWidth: '6px', borderColor:'#999999'});
			TweenMax.ticker.removeEventListener("tick", updatePosition);
		})
		
		$(".sticky").mouseleave(function(e) {			
			TweenLite.to(ball, 0.2, { scale:0.5, borderWidth: '4px', borderColor:'#999999', opacity:1 });
			TweenMax.ticker.addEventListener("tick", updatePosition);		  
		})		
		
		$(".parallax-wrap").mouseenter(function(e) {
			TweenMax.to(this, 0.3, { scale: 2 });
			TweenMax.to(ball, 0.3, { scale: 0.9, borderWidth: '2px',opacity:1 });
			TweenMax.to($( this ).children(), 0.3,{scale:0.5});
			active = true;
		});
		
		$("#main .parallax-wrap.icon-wrap").mouseenter(function(e) {
			TweenMax.to(ball, 0.3, { scale: 0.7, borderWidth: '6px', opacity:0.6, borderColor:'#999' });
		});
		
		$(".parallax-wrap.bigger").mouseenter(function(e) {
			TweenMax.to(ball, 0.3, { scale: 1.35, borderWidth: '2px', opacity:1 });
		});
		
		$(".parallax-wrap").mouseleave(function(e) {
			TweenMax.to(this, 0.3, { scale: 1 });
			TweenMax.to(ball, 0.3, { scale: 0.5, borderWidth: '4px', opacity:1, borderColor:'#999999'  });
			TweenMax.to($( this ).children(), 0.3,{scale:1, x: 0, y:0});
			active = false;
		});		
		
		if ($('#magic-cursor').hasClass("light-content")) {
			$(".sticky").mouseenter(function(e) {
			  TweenLite.to(ball, 0.5, { borderColor:'#999' });
			})
			$("#main .sticky").mouseenter(function(e) {
			  TweenLite.to(ball, 0.5, { borderColor:'#999' });
			})
			$(".parallax-wrap").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#999'  });
			});
			$(".parallax-wrap.bigger").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#fff'  });
			});
			$(".white-section .parallax-wrap.bigger").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#000'  });
			});
			$("#main .parallax-wrap.icon-wrap").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#999'});
			});
		} else {
			$(".sticky").mouseenter(function(e) {
			  TweenLite.to(ball, 0.5, { borderColor:'#999' });
			})
			$("#main .sticky").mouseenter(function(e) {
			  TweenLite.to(ball, 0.5, { borderColor:'#999' });
			})
			$(".parallax-wrap").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#999' });
			});
			$(".parallax-wrap.bigger").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#000'  });
			});
			$("#main .parallax-wrap.icon-wrap").mouseenter(function(e) {
				TweenMax.to(ball, 0.3, { borderColor:'#999'});
			});
		}
		
		$(".parallax-wrap").mousemove(function(e) {
			parallaxCursor(e, this, 2);
			callParallax(e, this);
		});
		
		function callParallax(e, parent) {
			parallaxIt(e, parent, parent.querySelector(".parallax-element"), 20);
		}
		
		function parallaxIt(e, parent, target, movement) {
			var boundingRect = parent.getBoundingClientRect();
			var relX = e.pageX - boundingRect.left;
			var relY = e.pageY - boundingRect.top;
			var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
			
			TweenMax.to(target, 0.3, {
				x: (relX - boundingRect.width / 2) / boundingRect.width * movement,
				y: (relY - boundingRect.height / 2 - scrollTop) / boundingRect.height * movement,
				ease: Power2.easeOut
			});
		}
		
		function parallaxCursor(e, parent, movement) {
			var rect = parent.getBoundingClientRect();
			var relX = e.pageX - rect.left;
			var relY = e.pageY - rect.top;
			var scrollTop = window.pageYOffset || document.documentElement.scrollTop;
			pos.x = rect.left + rect.width / 2 + (relX - rect.width / 2) / movement;
			pos.y = rect.top + rect.height / 2  + (relY - rect.height / 2 - scrollTop)  / movement ;
			TweenMax.to(ball, 0.3, { x: pos.x, y: pos.y });
		}
		
		$(".hide-ball").mouseenter(function(e) {	
			TweenMax.to('#ball', 0.2,{borderWidth: '1px', scale: 1, opacity:0});
		});			
		$(".hide-ball").mouseleave(function(e) {
			TweenMax.to('#ball', 0.3,{borderWidth: '4px', scale:0.5, opacity:1});
		});
		
		$(".link").mouseenter(function(e) {	
			TweenMax.to('#ball', 0.2,{borderWidth:"0px",scale:1.5,backgroundColor:"rgba(153, 153, 153, 1)",opacity:0.15});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '2px', top: 4, left: 4});
		});			
		$(".link").mouseleave(function(e) {
			TweenMax.to('#ball', 0.3,{borderWidth:"4px",scale:0.5,backgroundColor:"rgba(153, 153, 153, 0)",opacity:1});
			TweenMax.to('#ball-loader', 0.2,{borderWidth: '4px', top: 0, left: 0});
		});
		
	}// End Page Load No Ajax
	
});
	
/*--------------------------------------------------
	Function Contact Map & Init Contact Map
---------------------------------------------------*/

	function ContactMap() {

		if( jQuery('#map_canvas').length > 0 ){

			var map_marker_image 	= 'images/marker.png';
			var map_address 			= 'New York City'
			var map_zoom				= 16;
			var marker_title 				= 'Hello Friend!';
			var marker_text				= 'Here we are. Come to drink a coffee!';
			var map_type					= google.maps.MapTypeId.SATELLITE;

			if( typeof ClapatMapOptions != 'undefined' ){

				map_marker_image 	= ClapatMapOptions.map_marker_image;
				map_address 			= ClapatMapOptions.map_address;
				map_zoom				= Number(ClapatMapOptions.map_zoom);
				marker_title 				= ClapatMapOptions.marker_title;
				marker_text				= ClapatMapOptions.marker_text;
				if( ClapatMapOptions.map_type == 0 ){

					map_type = google.maps.MapTypeId.SATELLITE;
				}
				else{

					map_type = google.maps.MapTypeId.ROADMAP;
				}

			}

			var newstyle = [
				{
					"featureType": "water",
					"elementType": "geometry",
					"stylers": [
						{
							"color": "#e9e9e9"
						},
						{
							"lightness": 17
						}
					]
				},
				{
					"featureType": "landscape",
					"elementType": "geometry",
					"stylers": [
						{
							"color": "#f5f5f5"
						},
						{
							"lightness": 20
						}
					]
				},
				{
					"featureType": "road.highway",
					"elementType": "geometry.fill",
					"stylers": [
						{
							"color": "#ffffff"
						},
						{
							"lightness": 17
						}
					]
				},
				{
					"featureType": "road.highway",
					"elementType": "geometry.stroke",
					"stylers": [
						{
							"color": "#ffffff"
						},
						{
							"lightness": 29
						},
						{
							"weight": 0.2
						}
					]
				},
				{
					"featureType": "road.arterial",
					"elementType": "geometry",
					"stylers": [
						{
							"color": "#ffffff"
						},
						{
							"lightness": 18
						}
					]
				},
				{
					"featureType": "road.local",
					"elementType": "geometry",
					"stylers": [
						{
							"color": "#ffffff"
						},
						{
							"lightness": 16
						}
					]
				},
				{
					"featureType": "poi",
					"elementType": "geometry",
					"stylers": [
						{
							"color": "#f5f5f5"
						},
						{
							"lightness": 21
						}
					]
				},
				{
					"featureType": "poi.park",
					"elementType": "geometry",
					"stylers": [
						{
							"color": "#dedede"
						},
						{
							"lightness": 21
						}
					]
				},
				{
					"elementType": "labels.text.stroke",
					"stylers": [
						{
							"visibility": "on"
						},
						{
							"color": "#ffffff"
						},
						{
							"lightness": 16
						}
					]
				},
				{
					"elementType": "labels.text.fill",
					"stylers": [
						{
							"saturation": 36
						},
						{
							"color": "#333333"
						},
						{
							"lightness": 40
						}
					]
				},
				{
					"elementType": "labels.icon",
					"stylers": [
						{
							"visibility": "off"
						}
					]
				},
				{
					"featureType": "transit",
					"elementType": "geometry",
					"stylers": [
						{
							"color": "#f2f2f2"
						},
						{
							"lightness": 19
						}
					]
				},
				{
					"featureType": "administrative",
					"elementType": "geometry.fill",
					"stylers": [
						{
							"color": "#fefefe"
						},
						{
							"lightness": 20
						}
					]
				},
				{
					"featureType": "administrative",
					"elementType": "geometry.stroke",
					"stylers": [
						{
							"color": "#fefefe"
						},
						{
							"lightness": 17
						},
						{
							"weight": 1.2
						}
					]
				}
			];
						
			var settings = {
				zoom: map_zoom,
				center: new google.maps.LatLng(43.270441,6.640888),
				mapTypeControl: false,
				scrollwheel: false,
				draggable: true,
				panControl:false,
				scaleControl: false,
				zoomControl: false,
				streetViewControl:false,
				navigationControl: false,
				mapTypeId: map_type,
				styles: newstyle
			};


			var map = new google.maps.Map(document.getElementById("map_canvas"), settings);
			google.maps.event.addDomListener(window, "resize", function() {
				var center = map.getCenter();
				google.maps.event.trigger(map, "resize");
				map.setCenter(center);
			});
			var contentString = '<div id="content-map-marker" style="text-align:center; padding-top:10px; padding-left:10px">'+
				'<div id="siteNotice">'+
				'</div>'+
				'<h4 id="firstHeading" class="firstHeading" style="color:#000!important; font-weight:600; margin-bottom:0px;"><strong style="color:#000!important;">' + marker_title + '</strong></h4>'+
				'<div id="bodyContent">'+
				'<p color:#999; font-size:14px; margin-bottom:10px">' + marker_text + '</p>'+
				'</div>'+
				'</div>';
			var infowindow = new google.maps.InfoWindow({
				content: contentString
			});
			var companyImage = new google.maps.MarkerImage(map_marker_image,
				new google.maps.Size(58,63),
				new google.maps.Point(0,0),
				new google.maps.Point(35,20)
			);

			var latitude = 43.270441;
			var longitude = 6.640888;
			var geocoder = new google.maps.Geocoder();
			geocoder.geocode({'address':map_address}, function(results, status) {
				if(status == google.maps.GeocoderStatus.OK) {

					map.setCenter(results[0].geometry.location);

					latitude = results[0].geometry.location.lat();
					longitude = results[0].geometry.location.lng();

					var companyPos = new google.maps.LatLng(latitude, longitude);
					var companyMarker = new google.maps.Marker({
										position: companyPos,
										map: map,
										icon: companyImage,
										title:"Our Office",
										zIndex: 3});
									google.maps.event.addListener(companyMarker, 'click', function() {
										infowindow.open(map,companyMarker);
									});
				}
			});

		}

		return false

	} // End ContactMap

	function InitContactMap() {

		if( jQuery('#map_canvas').length > 0 ){

			if (typeof google != 'undefined' && typeof google.maps != 'undefined'){

				// google maps already loaded, call the function which draws the map
				ContactMap();

			} else {

				var map_api_key = '';
				if( typeof ClapatMapOptions != 'undefined' ){
					map_api_key = 'key=' + ClapatMapOptions.map_api_key;
				}
				var script = document.createElement('script');
				script.type = 'text/javascript';
				script.src = 'https://maps.googleapis.com/maps/api/js?' + map_api_key +
							'&callback=ContactMap';
				document.body.appendChild(script);
			}

		}
	} // End InitContactMap

