<?php
/*
Template name: Portfolio Template
*/
get_header();

if ( have_posts() ){

the_post();

$canela_portfolio_tax_query = null;
$canela_portfolio_category_filter	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-portfolio-filter-category' );

$canela_array_terms = null;
if( !empty( $canela_portfolio_category_filter ) ){
	
	$canela_array_terms = explode( ",", $canela_portfolio_category_filter );
	$canela_portfolio_tax_query = array(
										array(
											'taxonomy' 	=> 'portfolio_category',
											'field'		=> 'slug',
											'terms'		=> $canela_array_terms,
											),
									);
}

$canela_portfolio_layout_type	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-portfolio-layout-type' );
$canela_portfolio_caption_type	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-portfolio-caption-type' );
?>
				
		<!-- Main -->
		<div id="main">
		
			<?php
		
			// display hero section
			get_template_part('sections/hero_section'); 
		
			?>
			
			<!-- Main Content -->
			<div id="main-content">
				<div id="main-page-content">
				
					<!-- Portfolio Wrap -->
					<div id="itemsWrapperLinks" class="portfolio-wrap <?php echo sanitize_html_class( $canela_portfolio_layout_type ); ?> <?php echo sanitize_html_class( $canela_portfolio_caption_type ); ?> <?php if( !canela_get_theme_options('clapat_canela_enable_ajax') ){ echo 'thumb-no-ajax'; } ?>">
						<!-- Portfolio Columns -->
						<div id="itemsWrapper" class="portfolio">
						
						<?php

							$canela_paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
							$canela_args = array(
										'post_type' => 'canela_portfolio',
										'paged' => $canela_paged,
										'tax_query' => $canela_portfolio_tax_query,
										'posts_per_page' => 1000,
										 );

							$canela_portfolio = new WP_Query( $canela_args );
							
							while( $canela_portfolio->have_posts() ){

								$canela_portfolio->the_post();
								
								get_template_part('sections/portfolio_section_item');

							}
							
							wp_reset_postdata();
						?>
						</div>
						<!--/Portfolio Columns-->
					</div>
					<!--/Portfolio Wrap-->
					
				</div>
				<!--/Main Page Content -->
				
				<?php
		
					// display hero section
					get_template_part('sections/page_navigation_section'); 
		
				?>
			</div>
			<!-- /Main Content -->
		</div>
		<!--/Main -->
<?php

}

get_footer();

?>