<?php
/**
 * The template for displaying Search Results pages
*/

get_header();

$canela_blog_layout = canela_get_theme_options( 'clapat_canela_blog_layout' );

?>


		<!-- Hero Section -->
		<div id="hero">
			<div id="hero-styles">
				<div id="hero-caption" class="text-align-center small-hero-title">
					<div class="inner">
						<div class="hero-title"><span><?php echo get_search_query(); ?></span></div>
						<div class="hero-subtitle"><?php echo esc_html__( 'Search Results', 'canela'); ?></div> 
					</div>
				</div>
			</div>
		</div>
		<!--/Hero Section -->
		
		<!-- Main Content -->
		<div id="main-content">
			<!-- Blog-->
			<div id="blog" class="<?php echo sanitize_html_class( $canela_blog_layout ); ?>">
				<!-- Blog-Content-->
				<div data-fx="1">
					<?php

						if( have_posts() ){
						
							while( have_posts() ){

								the_post();

								get_template_part( 'sections/blog_post_section' );

							}
						} else{

							echo '<h4 class="search_results">' . esc_html__('No posts found', 'canela') . '</h4>';

						}

					?>
					
				<!-- /Blog-Content -->
				</div>

				<?php

					canela_pagination();
				?>
			</div>
			<!-- /Blog-->
		</div>
		<!--/Main Content-->
	
<?php

get_footer();

?>