<?php
// retrieve the path to the logo displayed in the menu bar
$canela_logo = canela_get_theme_options( 'clapat_canela_logo' );
$canela_logo_path = esc_url( $canela_logo );
if( !$canela_logo_path ){
	$canela_logo_path = get_template_directory_uri() . "/images/logo.png";
}

$canela_logo_light = canela_get_theme_options( 'clapat_canela_logo_light' );
$canela_logo_light_path = esc_url( $canela_logo_light );
if( !$canela_logo_light_path ){
	$canela_logo_light_path = get_template_directory_uri() . "/images/logo-white.png";
}

?>
		<!-- Header -->
		<header class="<?php if( canela_get_theme_options( 'clapat_canela_enable_fullscreen_menu' ) ){ echo "fullscreen-menu"; } else { echo "classic-menu"; } ?>">
			<div id="header-container">

				<!-- Logo -->
				<div id="logo" class="hide-ball disable-drag">
					<a class="ajax-link" data-type="page-transition" href="<?php echo esc_url( get_home_url() ); ?>">
						<img class="black-logo" src="<?php echo esc_url( $canela_logo_path ); ?>" alt="<?php echo esc_attr__('Logo Black', 'canela'); ?>">
						<img class="white-logo" src="<?php echo esc_url( $canela_logo_light_path ); ?>" alt="<?php echo esc_attr__('Logo White', 'canela'); ?>">
					</a>
				</div>
				<!--/Logo -->             
				
				<?php

				get_template_part('sections/menu_section');

				?>
		
				<!-- Menu Burger -->
				<div class="button-wrap right menu disable-drag">
					<div class="icon-wrap parallax-wrap">
						<div class="button-icon parallax-element">
							<div id="burger-wrapper">
								<div id="menu-burger">
									<span></span>
									<span></span>
									<span></span>
								</div>
							</div>
						</div>
					</div>
					<div class="button-text sticky right"><span data-hover="<?php echo esc_attr( canela_get_theme_options('clapat_canela_menu_btn_caption') ); ?>"><?php echo wp_kses( canela_get_theme_options('clapat_canela_menu_btn_caption'), 'canela_allowed_html' ); ?></span></div>
				</div>
				<!--/Menu Burger -->

				<?php if( is_page_template( 'blog-page.php' ) || is_home() || is_archive() || is_search() || is_singular( 'post' ) ){
					if( !is_tax('portfolio_category') ){
				?>
				<div id="open-sidebar-nav"><i class="fa fa-arrow-left"></i></div>
				<?php 
					}
				}
				?>
			</div>
		</header>
		<!--/Header -->
		
		<?php if( is_page_template( 'blog-page.php' ) || is_home() || is_archive() || is_search() || is_singular( 'post' ) ){ 
			
			if( !is_tax('portfolio_category') ){
				
				// display sidebar section, if defined
				get_template_part('sections/blog_sidebar_section'); 
			}
		} 
		?>
		
		<?php if( is_page_template( 'portfolio-page.php' ) || is_page_template( 'portfolio-mixed-page.php' ) ){ ?>

			<div id="show-filters" class="disable-drag" data-tooltip="<?php echo esc_attr( canela_get_theme_options('clapat_canela_portfolio_show_filters_caption') ); ?>" data-placement="top">
				<div class="show-filters-wrap parallax-wrap">
					<div class="open-filters parallax-element">
						<i class="fa fa-sort"></i>
					</div>
				</div>
			</div>
			
		<?php
			// display filters section, if defined
			get_template_part('sections/portfolio_filters_section'); 
		} 
		?>
		
		<?php if( is_page_template( 'showcase-page.php' ) ){
			
			// display sidebar section, if defined
			get_template_part('sections/quick_menu_section'); 
		} 
		?>
		<div id="content-scroll">