<?php

$full_image = canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-hero-img' );

if( $full_image && isset( $full_image['url'] ) ){

	$canela_item_classes 	= '';
	$canela_item_categories 	= '';
	$canela_item_cats = get_the_terms($post->ID, 'portfolio_category');
	if($canela_item_cats){

		foreach($canela_item_cats as $item_cat) {
			$canela_item_classes 	.= $item_cat->slug . ' ';
			$canela_item_categories 	.= $item_cat->name . ', ';
		}

		$canela_item_categories = rtrim($canela_item_categories, ', ');

	}
	
	$canela_current_item_count = get_query_var('canela_query_var_item_count');
	
	$item_url = get_the_permalink();

?>
						<div class="item <?php echo esc_attr( $canela_item_classes ); ?> disable-drag">
							<div class="item-parallax">
								<div class="item-appear">
									<div class="item-content">
										<a class="item-wrap ajax-link-project" data-type="page-transition" href="<?php echo esc_url( $item_url ); ?>"></a>
										<div class="item-wrap-image"><img src="<?php echo esc_url( $full_image['url'] ); ?>" class="item-image grid__item-img" alt="<?php esc_attr_e('Portfolio Thumbnail Image', 'canela') ?>"></div>
										<img class="grid__item-img grid__item-img--large" src="<?php echo esc_url( $full_image['url'] ); ?>" alt="<?php esc_attr_e('Portfolio Image Large', 'canela') ?>" />
									</div>
								</div>
								<div class="item-caption-wrapper">
									<div class="item-caption">
										<h2 class="item-title"><?php the_title(); ?></h2>
										<h4 class="item-cat"><?php echo wp_kses( $canela_item_categories, 'canela_allowed_html' ); ?></h4>
									</div>
								</div>
							</div>
						</div>

<?php

}
?>
