<?php
/*
Template name: Showcase Template
*/

get_header();

if ( have_posts() ){

the_post();

$canela_showcase_tax_query = null;
$canela_showcase_category_filter	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-page-showcase-filter-category' );

if( !empty( $canela_showcase_category_filter ) ){
	
	$canela_array_terms = explode( ",", $canela_showcase_category_filter );
	$canela_showcase_tax_query = array(
										array(
											'taxonomy' 	=> 'portfolio_category',
											'field'		=> 'slug',
											'terms'		=> $canela_array_terms,
											),
									);
}
?>

		<!-- Showcase Slider Holder -->
		<div id="showcase-slider-webgl-holder" class="disable-drag <?php if( !canela_get_theme_options('clapat_canela_enable_ajax') ) { echo 'thumb-no-ajax'; } ?>">
			<div id="slider" class="swiper-container">
				<div id="trigger-slides" class="swiper-wrapper">

					 <?php

						$canela_paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
						$canela_args = array(
													'post_type' => 'canela_portfolio',
													'paged' => $canela_paged,
													'tax_query' => $canela_showcase_tax_query,
													'posts_per_page' => 1000,
													 );

						$canela_portfolio = new WP_Query( $canela_args );

						$canela_slides_count = 0;
						$canela_portfolio_items = array();
						while( $canela_portfolio->have_posts() ){

							$canela_portfolio->the_post();
											
							$canela_showcase_include	= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-showcase-include' );
							$canela_bknd_color			= canela_get_post_meta( CANELA_THEME_OPTIONS, get_the_ID(), 'canela-opt-portfolio-bknd-color' );
											
							if( $canela_showcase_include == "yes" ){
											
								$canela_hero_properties = new Canela_Hero_Properties();
								$canela_hero_properties->getProperties( get_post_type( get_the_ID() ) );
												
					?>
					<div class="swiper-slide<?php if( $canela_bknd_color == "dark-content" ) { echo " change-header"; } ?>" data-title="<?php echo esc_attr( $canela_hero_properties->caption_title ); ?>" data-subtitle="<?php echo esc_attr( $canela_hero_properties->caption_subtitle ); ?>">
						<div class="slide-wrap<?php if( $canela_slides_count == 0 ){ echo " active"; } ?>" data-slide="<?php echo esc_attr( $canela_slides_count ); ?>"></div>
						<div class="outer">
							<div class="inner">
								<a class="slide-link" data-type="page-transition" data-firstline="<?php echo esc_attr( canela_get_theme_options( 'clapat_canela_view_project_caption_first' ) ); ?>" data-secondline="<?php echo esc_attr( canela_get_theme_options( 'clapat_canela_view_project_caption_second' ) ); ?>" href="<?php the_permalink(); ?>">
									<div class="slide-title-wrapper">
										<div class="slide-title"><span><?php echo wp_kses( $canela_hero_properties->caption_title, 'canela_allowed_html' ); ?></span></div>
										<div class="subtitle"><span><?php echo wp_kses( $canela_hero_properties->caption_subtitle, 'canela_allowed_html' ); ?></span></div>
									</div>
								</a>
							</div>
						</div>
					</div>
					<?php
					
								$canela_portfolio_items[] = $canela_hero_properties;
												
								$canela_slides_count++;
								
							}

						}

						wp_reset_postdata();
										
					?>
				</div>
			</div> 
			
			<div id="fixed-borders">
				<div class="caption-border left"></div>
				<div class="caption-border right"></div>
			</div>
			
		</div>    
		<!-- Showcase Slider Holder -->
		
		
		<!-- canvas slider -->
		<div id="canvas-slider" class="canvas-slider">    
			<?php
			$canela_slides_count = 0;
			foreach( $canela_portfolio_items as $canela_portfolio_item ){
				
			?>
			<div class="slider-img" data-slide="<?php echo esc_attr( $canela_slides_count ); ?>">
				<img class="slide-img" src="<?php echo esc_url( $canela_portfolio_item->image['url'] ); ?>" alt="<?php echo esc_attr__('Slide Image', 'canela'); ?>" />
			</div>
			<?php
			
				$canela_slides_count++;
			}
			?>
		</div>
		<!--/canvas slider -->

<?php
	
}

get_footer();

?>
